sflphone-common-video (1.1.0-rc20120607~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.1.0-rc20120607~ppa1~SYSTEM **

  * * #12071: audiopreferences: fix make check
  * * #12071: cleanup
  * #12071: Lower expat dependency version
  * * #12085: alsa: fix ringtone update bug, cleanup
  * #12071: Fix pulseaudio compilation error
  * #12071: Make pulseaudio optional at configuration time
  * * #12091: daemon: issue warning if falling back to ALSA
  * video: fixed make check
  * *#12085: alsa: don't segfault on snd_pcm_avail_update error
  * #12070: Add --without-pulse option
  * * #12055: video: fix build for older libav
  * [ #11886 ] cleanup
  * [ #11886 ] Add basic reverse peer naming support
  * [ #12008 ] Implement GUI part
  * * #12012: video: fix some regressions
  * * #12002: yamlparser: don't wipe out config if going from normal
    build to --enable-video
  * [ #12008 ] Add ConfigurationManager::getRingtoneList()
  * * #12002: video: fix config file serialization/deserialization
  * * #11987: managerimpl: fix bugs in conference when removing
    participants
  * * #11987: manager: fixed transfer from conference
  * * #11987: mainbuffer: cleanup logging
  * * #11979: pulse: fixed mismatched device list
  * * #11971: audiolayer: fix bugs with getDeviceList
  * * #11960: manager: validate conference earlier when processing
    participants
  * * #11960: manager: fixed segfault on transfer from conference
  * * #11966: IP2IP: make alias consistently IP2IP
  * * #11965: sipvoiplink: add more error checking in SDP negotiation
  * * #11964: mainbuffer/ringbuffer: cleanup API
  * sdp: remove unused variable warning
  * * #11941: video: fix deprecated libav_api warnings
  * * #11949: pulselayer: fix bug in getDeviceList
  * video: whitespace fixes
  * * #11951: video: fixed threading issues for ucommon Thread
  * [#11848] Properly disable testPulseConnect
  * [#11848] Disable pulseConnect test
  * sdp: cleanup
  * sdp: cleanup
  * * #11860: mainbuffer: remove dead and/or buggy code
  * * #11851: sdp: fixed gcc type narrowing warnings
  * * #11851: audiostream: fixed gcc type narrowing warnings
  * * #11841: don't put code with side effects in assert()
  * * #11840: audiortp: remove some global symbols/variables
  * * #11828: audiofile: fix broken build
  * * #11828: audioloop: don't shadow sampleRate variable in derived
    classes
  * * #11818: gnome: stop daemon on SIGTERM, SIGINT or SIGHUP
  * * #11499: daemon should also quit gracefully on SIGHUP
  * * #11813: daemon configure should fail if expat is not installed
  * #10304: updatePlaybackScale dbus method uses int 32 bit for size and
    position (allow for 24 days long recording playback)
  * #10304: Add time lable for seekslider
  * * #11780: sip: don't use abort or leak calls on error and don't
    restrict SDP size to 1000 bytes in transaction_request_cb
  * * #11735: daemon: added timestamp start to call details
  * * #10304: historyitem: added operator > defined in terms of operator
    <
  * * #11252: historyitem: added missing unistd.h header
  * * #11252: daemon: removed deprecated zrtp code
  * * #11728: yaml: check that nodes are valid before using them.
  * * #10797: send DTMF over RTP as per RFC2833
  * * #11706: managerimpl: added unsetCurrentCall method
  * * #11698: daemon: fix build for c++11
  * * #10304: historyitem: file_exists need not be a member method
  * * #11499: managerimpl: don't crash if signal and dbus try and finish
    the manager at the same time
  * #10304: Prevent from storing removed files in history
  * * #11499: daemon: Exit cleanly on SIGINT or SIGTERM
  * * #10226: audiocodecfactory: use array instead of vector for codec
    name lookup
  * * #10226: audiocodecfactory: make codec loading stricter
  * #10304: RCecale positions and size values for playback recording
  * #11530: Make sure that only appropriate configuration option are
    parsed for IP2IP calls
  * * 11480: video: disabled by default
  * * #11459: history: protect historyitems vector with mutex
  * * #11448: fix video preferences for empty camera list
  * #10304: Implemented playback seek in gnome client
  * * #11269: video: fix codec per account management
  * #10304: Implemented playback scale in gnome client
  * Fix includes for gcc 4.7
  * * #11269: make clearer distinction between codecs and audiocodecs
  * * #11269: merged master into video
  * * #10296: managerimpl: more usage of getCallFromCallID
  * * #10296: verify that calls exists before trying to join them in a
    conference
  * * #11208: bump version numbers for release 1.1.0
  * managerimpl: rename ManagerImpl::serialize/unserialize ->
    join_string/split_string
  * Fix warnings in resampler test
  * * #10732: sipvoiplink: fix code that validates IP address
  * Add historyChanged signal, better than managing it client side
  * #10795: fix sipaccount deserialisation broken
  * #10736: implement getConferenceId dbus method given a call id
  * #10736: do not use iterator in daemon when joining conferences
  * #10736: Fix joining conferences in daemon
  * * #10736: gnome: fix crash on restart with active conference
  * managerimpl: removed unused pulselayer.h header
  * Save history everytime it change, prevent the file never to be saved
    in some senario (SIG, crash, ASSERT, etc)
  * * #10320: manager: check that participants are unique before joining
  * #10335: Add a noise suppressor for incoming rtp streams
  * * #10322: sip: registration state should not be always set to
    ErrorAuth on error
  * #10220: Fix recording thread does not exit when hanging up while
    recording
  * * #9903: fix includes for new ccrtp
  * #10230: Get back default mainbuffer sampling rate to 8kHz, no need
    of decoding noise suppressor
  * #10230: Use a different samplerate converter for rtp encoding and
    decoding
  * * #9903: create DynamicPayloadFormat on stack, initialize earlier
  * * #9903: audiorecorder: initialize buffer to silence, not random
    data
  * #10230: Test for triangular and sine signals
  * #10230: Add resampling unit test
  * * #10230: DTMF sample rate should come from main buffer, it should
    not be hardcoded
  * * #10213: audiolayer: create samplerateconverter on the stack
  * * #10213: audiolayer: cleanup
  * * #10213: increase resample buffer size, and check output size when
    resampling
  * * #10095: sipvoiplink: check pointers before using them
  * #9981: IP2IP calls based on ip address instead of sip:
  * * #10213: speex codecs should initialize their own parameters
  * * #10213: account: removed redundant cast
  * * #9832: removed extra printf
  * * #10172: include -sflphone in recording file name
  * * #9832: cleanup logging in tests
  * * #10096: srtp: use vectors to simplify key/salt manipulation
  * #10096: add case for non-srtp calls
  * [ #10121 ] Sync the KDE with daemon, fix a few issues and implement
    a recorded call player
  * #9980: make keep registration optional as there is different
    behavior on different registrar
  * #10096: use c++ arrays to store keys in srtp sesssion
  * * #10018: renamed registration related keys in dbus
  * #10096: Fix onhold/offhold srtp
  * * #8586: fixed make distcheck
  * * #9832: logger: don't hide logging if NDEBUG is present
  * #10096: Reinit crypto context when required on INVITE request
  * * #10111: Fixes segfault on empty config file
  * #100096: Set in/out queue crypto context at initialization, not when
    starting the thread
  * #10096: Update srtp key generation when holding/unholding a call
  * * #9831: logger: removed extraneous carriage-return character
  * * #10095: sipvoiplink: validate pointers before using them
  * * #10094: renamed config/config.{h,cpp} config/sfl_config.{h,cpp}
  * * #10090: fix segfault in transaction_state_changed_cb
  * * #9832: audio_rtp_record_handler: cleanup logging
  * * #9832: pulse: cleanup logging
  * * #9832: cleanup logging
  * * #9832: cleanup logging
  * * #9832: dbus: fix logging
  * * #9832: config: cleanup logging
  * * #9832: remove unused header
  * * #9832: manager: fix logging
  * * #9832: audio: fix logging
  * * #9832: audio: fix logging
  * * #9832: zrtp: cleanup logging
  * * #9832: AudioZRTPSession: cleanup logging
  * * #9832: AudioSRTPSession: fix logging
  * * #9832: cleanup logging
  * * #9832: AudioRtpSession: cleanup logging
  * * #9832: AudioRtpFactory: cleanup logging
  * * #9832: codecs: fix logging
  * * #9832: alsa: fix logging
  * * #9832: audio: clean up logging
  * * #9832: AudioRecord: cleanup logging
  * * #9832: Fix logging in Manager
  * * #9832: new logging macros
  * * #9979: ulaw: fixed unused var warning
  * * #10039: sipvoiplink: use references to avoid unnecessary parameter
    validation
  * * #10039: Fixed segfault on failed registration
  * * #9979: codecs: fixed unused variable warnings
  * * #9979: Don't do runtime assertions on data.
  * * #10016: SDP: removed verbose debuggin
  * #10016: Crypto context deletion are now managed inside the library
  * * #10016: srtp: cleanup
  * * #10016: SDES: fix uninitialized value bug, use const char*
  * * 100016: don't double free crypto contexts, and don't improperly
    copy CryptoSuiteDefinitions
  * * #100016: cleanup crypto contexts in audio_srtp_session
  * * #9979: removed unused methods from audicodec
  * * #9979: ulaw: normalize types
  * * #9979: cleanup
  * * #9979: Alaw: cleanup
  * * #9979: removed duplicate/superfluous code and type issues from
    g722
  * * #9979: AudioRtpRecord: let AudioRtpRecord handle fadeIn internally
  * #9980: Fix registration timer and transport shutdown on 401, default
    registration timer to 3600
  * * #9979: use std::tr1::array instead of plain array for audio
    buffers
  * * #9969: set loose routing param when creating route set
  * #9975: Fix account registration status display
  * * #9969: SIP: initialize body earlier
  * * #9969: sip: get received and rport fields if present in OK
  * * #9968: fixed segfault in transaction callback
  * #9898: make sure account are unregistered when sflphone quit, add
    timeout on pending transaction
  * #9910: fix contact header in outgoing request if via parameter are
    present
  * * #9910: SIP: use rport from VIA header if present
  * * #9910: SipTransport: pass parameters by const reference
  * #9910: fix sending call with new transport
  * yaml: remove verbose debug messages
  * * #9911: sipvoiplink: fixed "unused variable" warning
  * #9910: create new udp transport to fix registration failure with 606
    error & received parameter
  * * #9910: SIP: use pjsip error codes instead of magic numbers
  * * #9911: SIP Transports must be cached by IP:port
  * * #9910: SIP: cleanup
  * * #9905: SipTransport: address has to stay on stack to be valid
  * #9910: Update parse received parameter on 606 registration error
  * * #9911: simplify network manager state reporting
  * #9902: Fix SIPTest for IP to IP call
  * #9911: Fix network manager crashes
  * #9902: Move logic for ip2ip call in SIPVoIPLink
  * #9902: Move logic for ip2ip call in SIPVoIPLink
  * * #9910: fix 606 error code nomenclature
  * * #9905: fixed address initialization in createUdpTransport
  * * #9903: cleanup
  * #9902: Log failure cause when new outgoing call fail
  * * #9898: properly initialize ports
  * #9898: Unregister account when leaving sflphone
  * iax: create iaxvoiplink on stack
  * account: removed unused methods
  * * #9847: don't use assertions for input coming from DBus
  * * #9897: audiorecord cleanup
  * * #9897: audiorecord: cleanup, removed unused methods
  * #9897: Initialize and fallback recording path in home directory if
    not valid
  * * #9871: SipTransport: hide more implementation
  * * #9871: SipTransport: refactor SIP transport creation
  * * #9871: disable STUN for account if STUN setup failed
  * * #9847: check pointer before using it
  * #9871: Fallback on normal upd transport when stun resolution fails
  * Revert "#9871: Fallback on normal upd transport when stun resolution
    fails"
  * #9871: Fallback on normal upd transport when stun resolution fails
  * pulse: cleanup
  * * #9847: removed outdated README file
  * * #9847: use references instead of pointers where possible
  * * #9847: pass call by reference where possible
  * * #9847: audiolayer: fixed typo
  * * #9847: SIPVoipLink: gracefully handle invalid pointers
  * * #9847: check that transport is initialized
  * * #9847: SDP: avoid buffer overflow
  * * #9847: fixed segfault on bad call invite
  * * #9847: SDP: don't use assertions for runtime errors
  * * #9847: handle invalid remote session gracefully
  * * #9851: fixed segfault on stun socket cleanup
  * * #8586: fixed warnings
  * * #9849: added missing sstream header
  * #9623: add required TLS certificates for testing purpose
  * #9623: fixed tls registration
  * #9623: fix storing tls port in config for normal account
  * #9623: Allow all account to change tls listener port (not only
    IP2IP)
  * #9623: Allow for changing interface / port for tls transport
  * #9623: Open TLS listener on selected interface
  * #9833: remove unused debug
  * #9833: handlingEvents_ must be initialized to true when starting iax
    thread
  * #9830: Remove create_route_set from sipvoiplink
  * #9831: Fix sip transport port number
  * #9830: move sip header parsing function in sip_utils
  * Revert "* #8586: don't restore and save test files"
  * * #8586: fixed make distcheck
  * #9623: fixed tls registration
  * * #8586: don't restore and save test files
  * * #8586: refactored yaml code
  * #9623: fix storing tls port in config for normal account
  * #9623: Allow all account to change tls listener port (not only
    IP2IP)
  * #9623: Allow for changing interface / port for tls transport
  * #9623: Open TLS listener on selected interface
  * * #8586: added missing tests
  * #9833: remove unused debug
  * #9833: handlingEvents_ must be initialized to true when starting iax
    thread
  * #9830: Remove create_route_set from sipvoiplink
  * #9831: Fix sip transport port number
  * #9830: move sip header parsing function in sip_utils
  * * #8977: removed unnecessary AC_CANONICAL macros from configure.ac
  * * #8977: use actual PJSIP linking flags from pjproject/build.mak
  * * #9774: sipvoiplink's destructor should not be public
  * dbus: cleanup
  * * #9774: make sure sipvoiplink is destroyed before accounts are
    unloaded
  * * #9777: don't use deprecated auto_ptr
  * * #9778: removed AC_CHECK_FUNCS calls
  * * #9782: fix warnings in tests
  * * #9782: sip/sdp: fix emptiness checks
  * * #9782: sdes_negotiator: fix iterator usage and set dangling
    pointers to 0
  * * #9782: initialize all vars in iaxvoiplink
  * * #9782: use fstreams instead of fscanf
  * * #9782: yamlnode: fixed iterator usage
  * * #9782: yamlemitter: fix iterator usage
  * * #9782: yamlnode: make some methods const
  * * #9782: initialize all member vars in constructor
  * * #9782: Tone::interpolate should be const
  * * #9782: mainbuffer: get rid of unused vars
  * * #9782: GainControl::limit should be const
  * * #9782: fix ARRAYSIZE check
  * * #9782: use nanosleep instead of usleep
  * * #9782: fixed "inefficient emptiness test" cppcheck warning
  * * #9782: initialize dcblockers vars in constructor
  * * #9779: dropped CELT support
  * * #9750: moved sfl_data_format.h -> sfl_types.h
  * * #9750: refactored global.h
  * * #9736: restored command line options to daemon
  * tests: cleanup
  * * #8586: make distcheck was missing a header
  * tests: cleanup
  * * #9731: use all caps for application-wide constants
  * tests: cleanup
  * * #9730: cc++: enforce better checks in headers
  * * #9730: builds against libccrtp1
  * * #9572: sipvoiplink: fixed typo
  * * #9572: fixed threading issues with ccrtp2
  * * #9572: manager: pass config filename by const reference
  * * #9572: Replace utilspp singleton implementation
  * * #9571: regenerated config.{guess,sub} file to fix FTBFS on
    armel/armhf.
  * * #9665: siptransport: fixed udp_transport_start calls
  * #9620 Add test SIP account in configuration sample (test/sflphoned-
    sample.yml)
  * * #9641: audiortp: Fixed CryptoContext management
  * * #9641: fixed another memory leak in audio_srtp_session
  * * #9641: audiosrtpsession: fixed memory leak, simplified memory
    management
  * * #9641: avoid dynamic memory allocs/raw pointer usage in audio rtp
    stack
  * * #9641: get rid of getType/RtpMethod logic
  * fixed typo
  * #9572: make sflphone compile with libccrtp 2
  * * #9490: fixed registration state change callback that was crashing
    client
  * * #9547: fixed warnings in SipTransport header
  * #9547: Add SipTransport class
  * #9547: Extract all the transport layer from SIPVoIPLink to new
    SipTransport Class
  * #9547: Destroy the STUN resolver in Transport shutdown
  * sipvoiplink: removed erroneous FIXME
  * sipvoiplink: cleanup
  * #9547: Destroy the STUN resolver if server name change
  * sipvoiplink: fix warning about variable shadowing
  * #8320: Rename declared exception to avoid parameter shadowing
  * #8320: Send signal to client on stun failure
  * #8320: Use the same API for all transport creation (UDP, STUN, TLS)
  * * #9509: use vector for credential info
  * * #9508: fixes segfault in manager by changing order in which
    destructors are called
  * #8320: add dbus signal for stun failure
  * #8320: Use two different variables for status and return statement
    in stun's on_status_cb
  * * #9490: removed resolve_once parameter that was causing a segfault
  * #8320: make the retransmission callback to be rescheduled on error
  * HookPreference: cleanup
  * daemon: hookpreference: cleanup
  * iaxvoiplink: terminate() doesn't have to be virtual
  * sipvoiplink: functions need not be static if they are in an
    anonymous namespace
  * * #9037: moved CHECK macro into separate header
  * * #9037: cleanup error handling/checking in video threads
  * * #9037: video: cleanup
  * * #9037: only signal receiving_video_event for rtp sessions
  * * #9037: shared memory moved out of video_receive_thread
  * * #9381: daemon: fixed make check for video
  * * #9381: YAML_LIBS must be explicitly set in AC_SEARCH_LIBS macro
  * * #9381: reverted yaml check
  * * #9381: fix celt plugin compilation on fedora
  * * #9381: use PKG_CHECK_MODULES to test for yaml
  * * #9381: use autoconf macros and AC_SEARCH_LIBS
  * * #9381: use AC_SEARCH_LIBS, AC_CHECK_LIB
  * ringtonetest: cleanup
  * configurationtest: cleanup
  * instantmessagingtest.cpp: cleanup
  * mainbuffertest: cleanup
  * tests: cleanup
  * #8320: Make sure stun keep alive is enabled
  * call: push answer logic into call classes
  * sipaccount: simplify IP2IP code
  * sipaccount: avoid segfault if sipaccount is NULL
  * sipaccount: cleanup
  * #8084: Fix get sip header segfault when stun transport selected
  * * #9037: created shared_memory class
  * #8084: Init stun port with default valueas defined by RFC 3489
  * #9046: Move IP2IP_PROFILE global definition inside SIPAccount class
  * #9045: fix Changing the account expire is not taken applied in
    daemon
  * vidoe_receive_thread: cleanup
  * * #8968: suppress unusedFunction warnings for functions that are
    actually used
  * * #8821: fixed unit tests
  * #8821: Renamed account map keys for consistency
  * * #8968: audiorecord: added debug, clarified wave header creation
  * * #8968: added debug message to get rid of "unused struct member"
    warning
  * * #8968: manager: create History on the stack
  * * #9026: sfl::InstantMessaging is now a namespace
  * * #8698: managerimpl: removed unused method isWaitingCall
  * * #9008: don't include yaml headers in serializable.h
  * * #9008: cleanup account map initialization
  * refactor accountmap initialization
  * #9020: fix config file not generated when no account created
  * * #8968: audiorecord: removed unused getSndSamplingRate
  * * #8968: config: removed getConfigTreeItemIntValue
  * * #8968: recordable: removed unused getRecFileId
  * * #8968: removed unused Codec::getMimeType method
  * * #8968: manage lifetime of IMModule with auto_ptr
  * * #8968: history: removed unused method
  * * #8968: managerimpl: removed unused method
  * * #8968: config: removed unused methods
  * * #8968: managerimpl: removed unused getConfigBool/Int methods
  * * #8968: networkmanager: cleanup
  * * #8968: managerimpl: removed unused getConfig
  * * #8968: managerimpl: Manage telephoneTone_ with auto_ptr.
  * * #8968: history: fix memory leak upon exception
  * * #8968: AudioFile: initialize filepath earlier
  * * #8968: audiofile: fix memory leak on exception
  * * #8968: audiocodec: removed unused getChannel method
  * * #8968: use auto_ptr for dtmfKey
  * * #8968: use vector instead of dynamically allocated int array
  * * #8968: sdp.h: pass paramter by reference
  * * #8968: sipvoiplink: avoid C-style pointer casting
  * * #8968: yaml: avoid C-style pointer casts
  * * #8968: pulselayer: avoid C-style pointer casting
  * * #8968: recordable: removed unused getRecordingSmplRate method
  * * #8968: alsalayer: use preincrement for iterators
  * * #8968: config: removed unused method saveConfigTree
  * * #8968: mainbuffer: preincrement iterators
  * * #8977: history: added #include <fstream>
  * * #8968: don't leak memory on exception
  * * #8968: pulselayer: avoid C-style pointer casting
  * * #8968: Member variables must be initialized in AudioSrtpSession
    constructor
  * * #8968: fix potential memory leak in audiorecord
  * * #8968: Pass function parameter 'item' by const reference.
  * * #8969: fixed memory leaks in sdes_negotiator
  * video: cleanup
  * * #8940: removed video test source for now
  * #8763 Fix doxygen generation
  * #8763 Generate Doxygen with Hudson
  * * #8940: videosendthread: cleanup
  * sipvoiplink: cleanup
  * fileutils: cleanup
  * #8335 Fix default transport initialization on 5062, 5064
  * #8762: update mute for mic only, fix remove slide for pulseaudio
  * #8672: Add linear to decibel conversion functions in audio layer
  * #8672: Implement audio gain management in pulseaudio
  * #8671: Move audio gain management in audiolayer
  * * #8542: create symbolic link properly
  * * #8613: make check should fail early if another sflphone is running
  * #8449: Update version 1.0.2
  * * #8545: fixed error case
  * * #8545: fixed broken ringtone
  * * #8586: fixed make dist
  * sipvoiplink: use static_cast instead of reinterpret_cast if possible
  * * #8542: test for .git existence before moving pre-commit hook
  * * #8542: autogen.sh should not require git
  * eventthread: cleanup
  * * #8542: removed trailing whitespace from tree
  * * #8357: added disable video option to client
  * siptest: cleanup
  * * #8521: use avcodec_open2 instead of deprecated avcodec_open, if
    available

 -- Julien Bonjean <julien.bonjean@savoirfairelinux.com>  Thu, 07 Jun 2012 16:08:15 -0400

sflphone-common (1.0.0-rc20110930~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.0.0-rc20110930~ppa1~SYSTEM **

  * update kde .gitignore
  * Fix bug in volume widget
  * More polishing for release
  * Bump version to 1.0.0
  * [#7023] Add the ability to load an abstract contact backend in the
    library to resolve more data, polish code
  * [#7021] More cleanup for release
  * Cleanup
  * [#7021] Refactor KDE client dbus handling, add a missing call in
    daemon and port the DataEngine to the new API
  * Remove some annoying debug
  * merge language scripts
  * remove obsolete 'VERSION' files
  * update install instructions
  * Add missing translations to gnome
  * language update
  * Revert "Don't reference count DBus clients, exit core immediately
    when one of them request it"
  * Don't reference count DBus clients, exit core immediately when one
    of them request it
  * [7021] Add contact abstraction support
  * [#7121] Polishing library (over). Indentation, spacing and naming
    are now consistent
  * codecs: link to libccrtp, don't use logger
  * Fix a daemon bug
  * [#7038] Fix adding contact
  * * #7037 : stop audio stream after all calls have been hanged up
  * [#7025] Add full support for bookmark
  * SFLPhone KDE do not destroy history anymore
  * Fix config skeleton
  * Close the daemon once and for all, no more automatic respawning
  * Fix "unregistered account" bug (I hope so)
  * Close SFLPhone at the right place, it still respawn, I don't know
    why
  * Remove dead code
  * Fix regressions introduced in the last commit
  * Dead code elimination 1/3
  * Fix bug, add "add contact" option, fix warning
  * * #7019: Fix IAX codec negociation
  * Remove or comment unnecessary/unhelpful debug output
  * Fix "same as local" account setting, fix IP2IP LED color
  * Add support for some more advanced config options and add missing
    config dialog icons
  * Fix crash with noise suppressor
  * Alternative can now be selected from the call view context menu
  * Add drag and drop support, initial context menu and fix 3 bugs in
    the account dialog
  * Add basic history drag and drop support
  * Complete contact support is back
  * * #6991 : fix IAX problems
  * Fix IAX accounts being disabled by default
  * Revert "deb: forge -g flags for pjsip"
  * * #5884: Disable debug code in pjsip
  * echo suppressor : more assertions
  * Don't let the daemon think crypto is enabled when it's not
  * Simplify ToneList
  * Some progress on contact support
  * Remove unused getRegistrationCount()
  * remove annoying debug
  * revert SIP bit of e27e5c39bad27bae28f574eb2cba7717e8956229
  * Simplify CallManager::placeCallFirstAccount
  * Fix crash on hold
  * * #6905 : SIP refactor
  * gnome client: be sure key exchange is set correctly
  * Move code into createSipTransport
  * Fix account registration on start
  * ManagerImpl::registerAccounts(): simplify
  * * #5884: don't mess with pjsip threads in echo suppressor
  * * #6905 : simplify udp/stun/tls pjsip transport creation
  * Restore and improve support for Call history
  * fix launchpad build
  * SIPVoIPLink: simplify / refactor
  * Fix libwidget linking
  * SIP: simplify
  * IM : simplify
  * gnome: remove some debug
  * AudioRtpFactory::stop() cannot fail
  * * #6905: simplify SIP code
  * pjlib: fix build without SSLv2, fix warnings
  * Port history to the new syntax
  * Test a dock widget based implementation for contact and history
  * Disable SSLv2 support from pjsip and sflphone
  * deb: forge -g flags for pjsip
  * Fix deb packaging to get debug symbols
  * remove debug
  * pjproject: update to last stable release (1.10)
  * Require gtk >= 2.20 and glib >= 2.24
  * tlsadvanceddialog: simplify
  * * #6902 : fix errors spotted by -DGSEAL_ENABLE
  * Update daemon dbus XML and port KDE config backend from dbus to
    local
  * Remove unused but set variables
  * * #6929 : fix IM widget, cleanup
  * Unconditionally enable debug symbols
  * Should fix many KDE issues
  * * #6886 : hitting backspace on empty number have no side effects
  * * #6905 : fix AudioCodecFactory access in optimized builds (-O > 0)
  * Remove unsupported and broken jaunty/karmic packages
  * * #6902 : avoid using some gtk deprecated functions
  * Update dbus introspection files
  * * #6904: removed unused contactmanager
  * * #6903 : use correct dbus-cxx package name
  * * #6902: don't use individual gtk headers
  * Fix a segfault when config is not present
  * Merge latest (0.9.13) KDE code. This version is not yet ready for
    git master, but better than the previous one
  * addressbook : simplify
  * * #5659 : sflphone-plugins doesn't depend on libedataserverui
  * * #5659 : addressbook doesn't use libedataserverui
  * gnome client doesn't depend on evolution
  * * #5695: addressbook: simplify
  * * #5695: addressbook : remove AddrBookHandle from plugin
  * * #5695 : addressbook : remove unused stuff in the client
  * * #5695 : addressbook : remove unused stuff, use static mutex
  * gnome client doesn't use evolution
  * gnome: use proper API to set GTK_CAN_FOCUS
  * * #6897: removed unused focus state vars/callbacks
  * gnome: fix calls to sflphone_fill_codec_list_per_account
  * * #6623: gnome: don't leak in mainwindow
  * gnome: mainwindow whitespace cleanup
  * gnome: actions.c parameter doesn't have to be a double pointer
  * * #6895: fix memleaks, cleanup in accountconfigdialog
  * * #6893: fixes segfault in client on clean history
  * * #6894: fix leaks, cleanup in sflnotify
  * daemon: fixed prints in main
  * * #6892: simplify, fix leaks in dialpad
  * * #6887: audiopreference creates audio layer
  * * #6660: use const char * const, not std::string for globally
    visible constants
  * * #6852: Preferences now solely responsible for audiolayer creation.
  * * #6860: refactor uimanager, also fixes #6865
  * * #6853: hangup as soon as all digits have been deleted
  * * #6852: alsa: retry if device is busy
  * * #6852: audiolayer creation depends only on preference.audioApi
  * * #6850: gnome: fix build for gtk < 2.22.0
  * cleanup in iax
  * alsa: typo
  * pulse: if we can't peek in audio input, we can't drop samples
  * * #6849: show error window if codecs are missing, instead of dying
  * EchoCancel: unused, remove
  * * #6629 : use number of samples as arguments for audio filters
  * * #6629 : remove unused Algorithm interface
  * * #6629 : use helper to call alsa functions and display error msgs
  * Remove unused type
  * * #6841: fix some error handling
  * * #6629: simplify AlsaLayer::alsa_set_params()
  * Get gdk key definition from header
  * * #6828: Replace raw key codes by gdk defines
  * remove some debug, enhance some other
  * mainbuffer: simplify
  * * #6561 : fix phantom call after transfer
  * Conference Participant set : simplify
  * SIPCall: remove unused functions, make invite session public
  * * #6229 : remove malloc/free from pulse audio loop
  * * #6629 : simplify pulse callbacks
  * * #6629
  * Simplify widgets
  * * #6629 : keep the correct audio module when frequency changes
  * * #6751: fixed erroneous debug msgs
  * callable_obj.h: removed unneeded pthread header
  * alsalayer: cleanup
  * * #6629: Always restart audio driver when changing parameters (ALSA
    only)
  * gnome GUI: don't block in DBus signal errorAlert()
  * * #6629 : simplify AudioLayer creation
  * * #6629 : remove unused and unconfigurable frameSize from audiolayer
  * * #6629 : remove unused error message from audio layer
  * Fix logic error when switching audio API
  * Remove unused AudioProcessing class
  * AudioRtpRecordHandler::initNoiseSuppress() : use noiseSuppress
    directly
  * * #6629 : use DC blocker directly in audio layers
  * * #6629 : clean AudioLayer
  * * #6629 : don't store mainbuffer inside audiolayer
  * * #6629 : correct AudioLayer::notifyincomingCall()
  * * #6554: cleanup, refactoring in sipvoiplink
  * * #6554: cleanup in iaxvoiplink
  * * #6554: throw exception in getSIPCall if pointer is NULL
  * * #6554: make some methods of sipvoiplink static
  * * #6655: cleanup in managerimpl
  * * #6554: refactoring, fix memleaks in sipvoiplink
  * * #6478: remove throw specs, cleanup in voiplink
  * * #6629 : remove unused AudioDevice
  * * #6655: removed more dependencies from managerimpl
  * * #6744: simplified numbercleaner
  * conference : remove one prototype
  * * #6743: fix ip2ip
  * Don't give glib warnings if icons are not found
  * gnome: fixed includes
  * Codec.h: removed unused function
  * * #6742 : clean dbus & icons
  * * #6699: refactor/cleanup accounts
  * icons: cleanup
  * timer : use second precision, not millisecond
  * calltree_update_clock : use correct type, returns something
  * * #6737: fixed typo in dbus call
  * * #6737: removed tests for removed API
  * * #6737: dbus: fixed bug from merge
  * * #6737: cleanup in accountlist
  * * #6737: cleanup in dbus
  * * #6740 : fix history double free
  * * #6740 : remove time updating thread from calls
  * * #6737 : use c99 for client
  * * #6738 : make history loading faster
  * sipvoiplink : don't crash on transfers
  * fixed typo
  * Remove unused file
  * Don't build networkmanager.cpp at all if NM is disabled
  * _debug* -> _debug
  * * #6554 : simplify sipvoiplink
  * hudson: added -x to git clean command
  * added git clean to hudson script
  * audiocodecfactory: cleanup
  * * #6718: refactored setTlsSettings into SIPAccount
  * * #6718: removed more unused methods
  * * #6718: refactored confmanager code into sipaccount
  * remove unused functions
  * * #6718: confmanager: removed more unused methods
  * AudioCodecFactory : cleanup
  * #6697 : Turn callableElement struct into union
  * * #6718: confmanager: removed more unused methods
  * * #6718: confmanager: removed more unused methods
  * * #6718: removed unused dbus methods, refactoring
  * * #6699: accounts: cleanup/refactoring
  * * #6699: refactoring, cleanup in accounts
  * * #6699: more account cleanup
  * remove unused autoconf variable
  * * #6714: fixed hudson script
  * make distclean in hudson
  * added || exit 1 to run_tests.sh call
  * * #6714: fixed make distcheck for sflphone-plugins
  * * #6714: fixed make distcheck for gnome client
  * * #6714: fixed make distcheck for daemon
  * git: #6698 split the main .gitignore file
  * gnome: gpointer is already a pointer
  * gnome: calltab_init: use calloc instead of malloc
  * * #6699: more account cleanup
  * * #6699: cleanup account
  * * #6554 : more *voiplink cleanup
  * * #6558 : more sipvoiplink simplification
  * * #6558: saner loadSIPLocalIP prototype
  * gnome: #6623 clean calllists
  * * #6692: more audiolayer cleanup
  * * #6692: cleanup/refactoring in audiolayers
  * * #6692: more forward declarations, AudioThread->AlsaThread
  * * #6692: audiolayer cleanup
  * * #6692: alsalayer cleanup
  * * #6558 : remove account creator
  * * #6558 : clean sipvoiplink
  * * #6554 : cleanup sipvoiplink
  * audiortp: cleanup
  * * #6657 : fix launchpad builds for good
  * * #6675 : send RTP dtmf events only once
  * * #6655: more cleanup
  * AudioRtpSession::updateSessionMedia() : simplify
  * * #6655: more cleanup in managerimpl
  * * #6655: removed more code, cleanup
  * * #6655: more cleanup, fixed infinite loop
  * * #6655: removed more unused files
  * * #6655: removed unused mutex
  * * #6655 removed more unused code
  * * #6655: removed unused methods
  * * #6655: cleanup in main
  * * #6663: fixed segfault when off hold from transfer
  * * #6658: user's active codec selection is respected
  * * #6660: static global string should be static const char* const
    class member
  * * #6659: use g_strcmp0, not strcmp for vals that may be null
  * callable_obj: fix double free
  * calltree_display_call_info() : simplify
  * * #6657: Fix launchpad builds
  * Logger::log() : simplify
  * AudioRtpSession : privatize members
  * * #6655: more constness, cleaned up/simplified methods
  * * #6654: call DBus::_init_threading so that dbus-c++ to make it
    threadaware
  * set default credentials on account creation
  * AudioCodecFactory::scanCodecDirectory() : simplify and correct
  * * #6623: fixed typos
  * * #6623: fixed more leaks
  * * #6623: fixed more leaks
  * * #6623: fixed more leaks, don't print codec name if null
  * * #6623: more leaks fixed in client
  * * #6623: fix more leaks, fixed some warnings
  * * #6623: fixed leak in history
  * updated gitignore
  * initialize dbus dispatcher correctly
  * Fix tests, hudson doesn't have a dbus daemon running
  * remove unused code
  * removeCall() : simplify , fix leak
  * stopRtpThread() : simplify
  * *CurrentCall : simplify
  * Fix memleak
  * fix serialization of audio api (pulse / alsa)
  * account map : simplify
  * remove call from callmap before terminating it, avoid use after free
  * * #6630 : don't make DBusManager a singleton
  * call: return confID by value
  * add back history code deleted by error
  * history : reverse logic
  * simplify history serialization and remove some debug
  * remove annoying debug
  * * #6464 : replace cerr with _error
  * * #6464: replace cout with logger macros
  * replace printf() with logger macros
  * update .gitignore
  * remove unused function
  * update eclipse projects
  * uimanager_new() : simplify
  * rename directories
  * celt: simplify a bit
  * Fix CELT configure.ac test
  * * #6612 : template speex codecs
  * * #6623: refactored conference obj
  * * #6623: refactored callable object, removed leaks
  * * #6623: more cleanup, fix leaks, make global vars static and rename
    them
  * * #6623: calltree: fixed memleaks, simplified code.
  * audiolayer: init pointer members
  * manager: catch exception on invalid hangup
  * * #6623: don't leak on calls to create_new_call
  * * #6611 : clarify codecs prototypes
  * ringtones : .au and .ul files are both ulaw
  * * #6611 : make sure samplerate converters are called correctly
  * ManagerImpl::switchAudioManager() : simplify
  * * #6623: fixed more leaks
  * * #6623: fixed more leaks
  * * #6623: fixed more leaks
  * * #6623: fixed leak, line-endings in imwidget
  * * #6627: zero-initialize pointers if they're going to be deleted
  * * #6628: don't leak calls on exceptions
  * Revert "audiortp: call join after calling stop on RtpThread"
  * sflphone-client: more constness
  * audiortp: call join after calling stop on RtpThread
  * * #6625: return 0 on successful completion
  * * #6624: fix segfault on servercallfailure
  * * #6621: Fixed double free, unlock mutex in ManagerImpl::terminate
  * * #6220: remove audio stream when peer hangs up
  * * #6596: AudioSymmetricSession shouldn't self-delete
  * resampler: grow internal buffers dynamically
  * merge up and down sampling => resampling
  * Leave test directory unchanged when running make check
  * audio algorithms : remove unused prototype
  * ringtone: detect codec from file extension
  * *AudioFile : simplify
  * * #6596: create local SDP on the stack, not the heap
  * * #6596: don't call Ost::Thread::terminate from dtor
  * audiofile: cleanup (samplerate -> unsigned)
  * remove unused func
  * samplerateconverter: cleanup
  * RingBuffer::Put() : remove unused return value
  * MainBuffer::putData() : remove unused return argument
  * audiolayer::putMain() : remove unused func
  * AudioLayer::putUrgent() : remove unused return value
  * * #6618: delete any remaining ringbuffers in destructor
  * RingBuffer::availForPut() : remove
  * * #6617: return from main rather than calling exit
  * MainBuffer::availForPut(): remove
  * RingBuffer: simplify
  * alsa : remove write only variable
  * fix memcpy declaration
  * bcopy(src, dst) -> memcpy(dst, src)
  * RingBuffer::Get() : remove constant volume argument
  * return a copy of the call ID, not just a reference.
  * MainBuffer::getDataById() : remove volume argument (always 100)
  * MainBuffer::getData() : remove constant volume argument
  * RingBuffer::Put() : remove constant volume argument
  * MainBuffer::putData() : remove constant (=100) volume argument
  * audiolayer: remove constant _defaultvolume
  * AudioRtpRecordHandler / AudioRtpSession : simplify
  * mainbuffer: fix test
  * iaxvoiplink : simplify
  * sip registration callback: fix a dbus crash
  * MainBuffer: simplify
  * AudioRtpFactory: return cached type of rtp session. The rtp session
    can have disappeared if the call was put on hold
  * AudioRtpFactory: remove unused setters
  * Fix launchpad builds
  * * #6611 : remove unused bandwidth codec information
  * * #6611: AudioCodec: remove useless/unused setters
  * make sure buffer string is initialized correctly
  * * #6596: declare certain destructors virtual
  * audiolayer : cleanup
  * Simplify doc build rules
  * * #6270: don't build dbus-api doc with make, should require make all
  * configure.ac: cleanup
  * Remove copy of dbus-c++ from libs/
  * * #6596: stop clock thread when peer hangs up
  * removed unused Fmtp.h
  * * #6595: more logical initialization order
  * * #6600 : fix account creation
  * * #6601 : fix configure.ac tests
  * remove unused variable
  * Don't mix stack and heap based allocations
  * Fix copyright (2009, 2008, 2009 -> 2008, 2009)
  * Fix warnings found by clang
  * * #6595: fix initialization order for AudioRTP
  * * #6592: removed typedef std::string CallID
  * * #6586: implement local g_slist_free_full for older glib versions
  * * #6579: fix memory leaks in client (there's a lot left)
  * ShortcutPreferences::setShortcuts() : simplify
  * Fix merge
  * * #6548: remove call to non thread-safe strerror()
  * AudioRtpFactory: each instance is associated to exactly one SipCall
  * create_audiocodecs_configuration() : make static
  * * #6269 : refactor AudioRtpSession
  * Fix AudioSymmetricRtpSession.h inclusion guard (cherry picked from
    commit c3081dce1cc1370d6d3558a4c4ef5cfac0d21caf)
  * * #6269: Rename AudioRtpSession to AudioSymmetricRtpSession
  * * #6574: Don't exit when connection to pulseaudio server fails
  * accountconfigdialog.h : remove some stuff from header
  * * #6560: fix configuration test
  * Fix warning in test
  * * #6560: don't hide password entry in security tab
  * * #6560: set initial password for SIP accounts
  * * #6506: remove useless pointer indirection
  * * 6560: password is now specific to IAX accounts
  * * #6560 : actually use, store, restore, transmit SIP credentials
  * * #6560: YamlEmitter: serialize sequences
  * YamlEmitterException: typo
  * ManagerImpl::computeMd5HashFromCredential() : simplify, fix memleak
  * * #6561: invite_session_state_changed_cb() : simplify
  * * #6561: More useful debug in VoIPLink::removeCall
  * * #6561 : fix ghost call reappearing in GUI after transfer
  * while -> for (make the code smaller)
  * * #6558 : Account::loadConfig() : move IAX code to IAXAccount
  * IAXVoIPLink::getAccountPtr : simplify
  * * #6554 : access the SIPVoIPLink directly, not per account
  * SIPVoIPLink is instanciated only once and is not associated to a
    single account
  * yamlnode: use const references when possible (still some left to do)
  * Account::_accountID: constify
  * VoIPLink: simplify, remove unused method
  * hudson test : no need to call run_tests.sh anymore
  * Remove AccountID type and AccountNULL define
  * Make check runs the test (no need to call run_tests.sh manually
    anymore)
  * gnome GUI: Fix tests
  * Revert "Move registration information from SIPAccount to
    SIPVoIPLink"
  * * #6392: pluginmanagertest: fix warnings reported by valgrind
  * * #6547 : remove unused exceptions
  * * #6547: CallManagerException: use runtime exceptions
  * * #6547: InstantMessageException: use runtime exceptions
  * * #6547: do not throw exceptions if some settings are not present in
    config file
  * * #6547: YamlParserException: use runtime exceptions
  * * #6547: VoipLinkException: use runtime exceptions
  * * #6547: YamlEmitterException: use runtime exceptions
  * * #6547: DTMFException: use runtime exceptions
  * * #6547: AudioFile: use runtime exceptions
  * * 6547: AudioZRtpSession: remove impossible error case
  * * #6547 : AudioRtpSession: remove impossible error case
  * * #6547: AudioZrtp: use runtime exceptions
  * * #6408 : send authenticationUsername to GUI
  * * #6408 : store/restore authenticationUsername from config file
  * SIPAccount: simplify
  * Move registration information from SIPAccount to SIPVoIPLink
  * SIPAccount::getAccountDetails : simplify
  * * #6540: yaml parser: simplify
  * sdp.cpp : fix a warning
  * * #6540: yaml parser : remove std::string typedefs
  * * #6540: Simplify yaml unserialization
  * * #6540 : add a Conf::ScalarNode constructor for booleans
  * setAccountDetails(): simplify
  * * #6408: store authentication username in daemon
  * * #6408: Be able to set the authentication username in the GUI
  * * #6507 : do not crash if the program is not sflphoned
  * Fix tests
  * macroify SIPAccount::unserialize()
  * Move all .cpp files from sflphoned target to libsflphone.la, except
    main.c
  * main() : simplify, return positive error codes
  * * #6507 : find codecs dir in build directory
  * * #6392: Sdp: move clean functions to destructor
  * AlsaLayer::adjustVolume() : simplify
  * alsalayer : reduce indentation
  * malloc/free -> new/delete
  * malloc/free -> new[]/delete[]
  * malloc/free -> new/delete
  * AudioSrtpSession: simplify base64 encoding
  * * #6392: Initialize std::string from pj_str_t correctly
  * * #6392: AudioRtpSession: Initialize remote port
  * Audio settings : Initialize _echoCancelTailLength and
    _echoCancelDelay(0)
  * Initialize variable
  * YamlParserException : fix use of stack variable after it has been
    deallocated
  * * #6392: fix memory leak in history
  * * #6392 AudioCodec : fix memory leak
  * * #6392 : fix memory leak in sip account
  * * #6408: clean up sipaccount (cosmetics mostly)
  * sipaccount.cpp serialize() : reduce number of lines
  * * #6392: invalid memory access
  * * #6392 : fix invalid memory access
  * * #6479: merged useful code from MimeParameters into Codec interface
  * * #6462: fixed hangup on IP2IP call
  * added run_daemon.sh script
  * test: remove unused variable
  * Remove functions only used by a failing test (cherry picked from
    commit fcf718cb75de7f1882dc61c07bb8d300dfa10f85)
  * * #6360 : make client tests build (cherry picked from commit
    028b2835f040e51ab8ab979b32732b07b8798fce)
  * * #6360 : fix warnings in check_global test (cherry picked from
    commit 9e2bd6a7496dd64f6f48595e385760019aab1193)
  * * 6360: updated API calls in tests, but they're not building yet
    (cherry picked from commit 548f6f0f919b43772a3e9c667e5e292791281795)
  * Fixed include in tests (cherry picked from commit
    aeadc7525c1e31f936670ac8b02f0bcf387c38a8)
  * Remove unused variables and functions
  * IAX: fix warnings (cherry picked from commit
    fd7a113a11cac2cd9a7c36929e88ad28195c4c35)
  * Remove unused DEBUG define which interferes with logger.h (cherry
    picked from commit b2f72b91d0f43cb1dd94d138882a8caa9c841c24)
  * * #6392: no need to check for account NULLity since it is
    dereferenced above
  * * #6392: fix a memory leak, replace by stack allocation
  * * #6392: remove a variable assignement which confuses cppcheck
  * process_conference_participant_from_serialized() : remove unused
    function
  * * #6392: s/free/g_free/
  * * #6392: fix a memory leak in abookfactory_load_module()
  * * #6392: remove generate_call_id() used only once
  * * #6392: fix memory leak (opendir() without closedir())
  * * #6392: AudioRecorder(): ensures mbuffer is set
  * Remove SFLPHONED_VERSION from global.h, use autoconf PACKAGE_VERSION
  * #6298: Cleanup
  * #6331: Fix deleting ringtone file after call have been answered
  * * #6330: merged user_cfg into headers
  * #6298: Fix conference recording file update at conference end
  * #6298: Fix record file name serialization for conference
  * * #6295: cleanup of codec hierarchy
  * #6298: Fix gtk warnings
  * * #6300: added script to run tests
  * #6109: Add recording playback for conference
  * * #6300: tests do not require an installed sflphone
  * * #6295: re-removed clone methods
  * #6109: Fix gtk_critical warnings for incoming calls
  * #6109: Fix GTK_CRITICAL warning
  * #6109: Fix icons when history is not activated
  * #6109: Fix warnings
  * #6109: Implement stop recorded file playback signal
  * Revert "* #6295: removed unused clone method"
  * * #6295: removed unused clone method
  * * #6296: removed non existant file from Makefile.am
  * #6109: Stop fileplayback for outgoing call
  * #6109: Implement stop recording playback button
  * Fix binding names errors in dbus introspection file
  * #6109: Implement playback recorded file callback in client
  * #6109: Store recorded file path on client side
  * #6109: Add dbus methods for call recording playback
  * * #6290: remove unused classes from utilspp
  * * #6288: cleanup sdp
  * * #6288: fix exception usage
  * * #6288: simplify SdpException
  * * #6288: cleanup in sdp.cpp/h
  * #6109: Only display playback button if record file is set and valid
  * * 6290: updated configure.ac to remove functor Makefile
  * * #6290, #6289: removed unused classes from utilspp, fixed make
    check
  * #6109: Add button for history playback of recorded file
  * * #6289: removed unused observer class
  * * #6282: forward declare sdpMedia in sdp.h
  * * #6281: renamed setCallAudioLocal->setCallMediaLocal
  * #6183: Handle conference with more tahn two calls
  * #6183: Fix history icons when calling back a conference from history
  * #6183: Fix icons inconsistencies in history for conference hang up
  * #6183: Fix toolbar actions when selecting a conference in history
  * #6183: Fix conference serialization
  * #6268: Serialize only calls
  * * #6269: removed useless type testing
  * ignore some files in test/
  * * #6268: Remove dead class AudioSymmetricRtpSession
  * #6251: Do not had history calls in calllist when loading history
    file
  * #6251: Fix insertion in history map in before saving history file in
    daemon
  * #6251: Fix history unit tests
  * #6251: Order the list before serailization, get rid of the hashtable
    in history
  * #6251: Implement history serialization using a list wether than a
    map
  * * #6253: remove external audioport from header, make all members
    private
  * * #6253: don't store external local audio port (used for NAT) in
    Call
  * #6251: Add start_time timestamp in history serialization
  * #6251: Fix call insertion in conference items
  * #6233: Fix serialized account list terminated with a ";" character
  * #6238: Fix draggable history calls into current calls
  * #6233: Fix toolbar updates
  * #6233: Fix history
  * * #6235: remove pyc files from git tree
  * #6233: Handle cases when one or manuy calls are unreachable in
    createConfFomrParticipantList
  * #6233: Handle wrong numbers in createConferenceFromParticipantList
  * #6231: Fix drag-n-drop issue
  * * #6173 : move sippxml in tools
  * #6231: Fix merging issue
  * #6183: Implement conference unserialize
  * * #6212: remove extraneous flags from globals.mak
  * #6183: Unserialize conference data in conference
  * #6183: Add account information in request for conference call from
    history
  * #5755: Add -ldl to liker in sflphone-client-gnome
  * #5755: Fix fedora 15 compilation issue
  * #6183: Serialize conference participant phone number and account
  * #6183: Add conference timestamp in serialization
  * * #6186: don't include global.h, just logger.h
  * #6183: Fix saving history to file
  * #6183: Fix removing call from calllist
  * * #6184: remove pointers to Manager from AudioRtpSessions
  * #6183: Calling calltree_add_call explicitely for history
  * #6183: Ability to store conference inside history tab queue
  * * 6181: remove unused API from sipcall
  * #6171: Implment nreCallCreated callback
  * #6167: Fix participant list NULL ending
  * #6149: First draft of conference creation from history
  * #6149: Fix multiple call/conf selection callbacks ...
  * #6129: Fix place_call function called twice for pressing enter
    action
  * #6129: Fix double click action for history
  * #6149: Add dbus call for creating conference from history
  * #6129: Fix placing call from history and addressbook (still need to
    fix icon)
  * * #6148: removed unused AudioRtpFactory constructor
  * * #6145: remove unused isAudioStarted
  * * #6145: remove unused isAudioStarted
  * #6129: Add conference into history, fix call/conference selection
  * * #6143: don't use getType outside of serialization methods
  * * #6132: forward declarations instead of includes
  * * #6132: add constness, remove redundant "inline" keywords
  * #6129: Add timestamp to conference object to order history entries
  * * #6128: remove unused forward declarations from header
  * * #6127: make noncopyable class actually noncopyable
  * * #6125: don't include AudioRtpFactory in sipcall.h
  * #6123: Fix alsa ringback audio file
  * #6123: Fix raw audio file loading problem
  * #6109: Fix daemon plugin manager unit test
  * #6109: Fix history manager unit tests
  * #6109: Recording filename in daemon and client for history items +
    serialization
  * #6109: Refactor AudioFile to play recorded call
  * * #6104: AudioCodec moved to sfl namespace
  * * #6099: remove active flags from codec classes
  * #6095: Add notification-daemon as a runtime dependencies for rpm
    packages
  * #6095: Fix fedora 15 compilation in MineParameters.h
  * #6095: Declare static variable explicitely for client
  * #6095: Add logs to build OSC build machine
  * * #6098: global variables should have file-scope to avoid name
    conflicts
  * #6095: Fix compilation error for Fedora 15
  * #6095: Update SFLphone version to 0.9.14
  * #6095: Add specification file in opensusse build service for
    sflphone-plugins
  * #6073: Fix sflphone-plugins build on launchpad
  * #6093: Rename CodecDescriptor for AudioCodecFactory
  * * #6089: fix warnings in make check
  * * #6086: renamed codecs methods to audio_codecs
  * * #6085: renamed codec related dbus calls to audio_codec
  * #6065: Remove g_print from client, use DEBUG instead
  * #6065: Add actions name for addressbook
  * * #6085: renamed codecs* widgets/functions audiocodecs*
  * #6065: Fix Addressbook runtime warnings
  * #6065: Replace Codecs tab for Audio in account preference dialog
  * #6065: Fix "transfert" typo
  * #6065: Fix addressbook action runtime warning in uimanager
  * * #6082: fixes make check by adding libcrypto libs to test
    dependencies
  * #6073: Rename plugin/addressbook folders for addressbook/evolution
    in sflphone-plugins
  * #6074: Removed AC_SUBST from configure.ac when using
    PKG_CHECK_MODULE
  * #6073: Fix sflphone-plugins package build
  * #6073: Fix sflphone-common build
  * #6065: Fix runtime gtk warning when initializing searchbar without
    addressbook
  * #6063: Fix mozilla-tellify gitignore
  * #6063: Remove stream copy file using ifdef macro
  * * #6012: fix make dist for sflphone-common
  * #6063: Update .gitignore file
  * #6058: Fix base64 encoding related warnings
  * #6056: Fix SdpException handling
  * #6055: Fix unknown pargma warning for gcc <= 4.5
  * * #5949: test gcc version before disabling unused-but-set warning
  * #6054: Fix addressbook plugin compilation warning
  * #6048: Fix uimanager static initialization
  * #6046: Fix addressbook factory static initialization of member
    addrbook
  * #5979: Fix implicit function declaration warning
  * #6042: Fixed discarding qualifier warnings in client
  * #6041: Fix instant messaging unhandled case warning
  * #5994: Implement set current addressbook name and search type in
    addressbook plugin
  * #5994: add rules for launchpad packaging of addressbook plugin
  * #5994: Fix addressbook plugin configuration loading
  * #6027: Fix addressbook enabled test from configuration
  * #6027: No need of gnomedoc related macros in addressbook plugin
  * #6027: Add NEWS file required for build
  * #6027: Add addressbook plugin autogen.sh script
  * #6027: Remove plugins from client
  * #6027: Add sflphone-plugins folder at project's root level
  * #5994: Move addressbook folder from contacts to plugin folder
  * * #6011: removed unused Makefiles
  * * #6010: remove unused headers
  * * #5952: fix "string constant to char*" warnings
  * * #6009 fixed warnings
  * * #6003: finished cleanup of account classes
  * * #6003, #6004: cleanup of account classes, defaultAccount no longer
    global
  * * #6000: fix memory leak of args object
  * * #5998: removed using namespace std from networkmanager
  * * #5998: removed "using namespace std" from ZrtpSessionCallback
  * * #5998: removed using namespacestd from AudioZrtpSession.h
  * * #5998: remove "using namespace std" from auriorecord.h and
    MimeParameters.h
  * * #5998: remove using namespace std in main
  * * #5998: removed "using namespace std" from logger
  * * #5949: test gcc version before disabling unused-but-set warning
  * #5994: Installation of addressbook plugin
  * #5979: Implement codec full addressbook search from plugin
  * #5979: Implement addressbook factory and plugin
  * * #5981: unused webwidget removed
  * #5966: Account config synchronization fix (for stun)
  * #5954: Handle media name exception
  * #5954: Fix audio codec name display in client
  * #5954: Clean up getSessionMedia methods
  * * #5957: getRecordingSmplRate returns a value
  * #5954: Clean up getCurrentCodec methods
  * * #5950: remove "converting to non-pointer type 'int' from NULL"
    warnings
  * #5915: Full gain control version
  * * #5949: remove more unused variable warnings
  * * #5949: remove unused/unused-but-set variable warnings
  * * #5949: show_preferences_dialog returns a success value
  * * #5946: cleanup of include directives, undefined function
  * * #5515: comment out SSLv2 calls in pjsip
  * #5915: Implement different slope for attack tme and release time for
    gain control
  * #5915: use only one input signal for gain control (removed output
    buffer)
  * #5921: Fix no audio after holding a conference
  * #5916: Add gaincontrol files
  * #5916: Implement FFMPEG/CCRTP video streaming prototype
  * #5903: Fix call transfer during a conference
  * #5915: implement rms detector, first order averager, limiter for
    gain control
  * #5914: Fix call transfer when no notification request is required
  * #5899: Fix conference right-click segfault
  * #5884: temporary fix segfault in pjsip memory pool
  * #5883: Fix compilation issues on maverick and lucid
  * #5755: Fix fedora 15 compilation without patching ccrtp
  * [#5855] Make echo canceller optional
  * #5855: Fix echo suppression activation/deactivation
  * #5855: Implement pjsip echo canceller
  * #5814: Speex initialization function uses samples, not bytes
  * #5814: Test using more unbalanced signals
  * #5814: Fix buffer size for long echo length or long echo delay
  * #5814: Adjust level for echo cancellation at runtime
  * #5814: Process noise reduction before echo cancelling
  * #5814: Implement speex post echo canceller processing
  * #5814: Dump echo cancel file to disk
  * #5814: Add parameters for echo cancel
  * #5809: Add configuration parameters
  * #5809: Implement speex echo canceller in audio rtp session
  * #5814: Code cleanup
  * #5814: Fix conf creation with several incomming ringing calls
  * #5814: Fix conf creation segfault when dragging a call on hold on a
    ringing call
  * #5809: Added unit test for echo cancellation and implemented
    "process" virtual method
  * #5709: Add always recording option in configuration
  * #5709: Add always recording option in audio conference panel
  * #5709: Add core functionnality for always recording (missing config
    options)
  * #5769: Fix conference participant handling (detach/attach) and hold
    actions
  * #5747: Fix recording icons and state for conference when adding new
    participant
  * #5769: Code cleanup
  * #5769: Fix hangup unsent calls
  * #5769: Fix remove/add additional participant to conference
  * 5769: Several fixes concerning confererence handling
  * #5769: Fix compilation error
  * [#5769] Fix audio streams binding in main buffer
  * #5769: Removed access to audio mixer from audio layer
  * #5765: Fix audio crash for illformated wavefiles
  * #5765: Add maximum iteration for finding fmt and data "chunck"
  * #5589: Fix compilation of libnotify under
  * #5757: Fix abort signal when receiving INFO
  * #5747: Add usersDetached.svg
  * #5747: Handle offhold action for recording conference
  * #5747: Fix off hold action for conferences
  * #5747: Implement update conference in record action in calltree
  * #5747: Add new icons for recording conferences
  * #5747: Add recording state for conferences
  * [#5738] Remove getAudioDriver call from manager (replace by
    _audiodriver var)
  * [#5738] Refactor mutex protecting audiolayer
  * [#5737] Fix HD conference recording
  * [#5730] Fix start audio session after changing sampling rate
  * [#5714] Fix enter keyboard event for addressbbok and history
  * [5695] Fix addressbook combo box update when no addressbook selected
  * [#5695] Fix addressbook initialization and search bar update
  * [#5695] Add mutex for books_data in addressbook to protect async
    calls
  * [#5695] Get back addressbook open from uri
  * [#5695] Fix absolute addressbook URI for local addressbooks
  * [#5695] Implement libebook 3.0 interface
  * [#5571] Better logic for hangup (for case where call have not been
    sent yet)
  * [#5571] Update error handling in voip links
  * [#5571] Fix compile time warnings
  * [#5696] Fix installation dependencies for Natty
  * [#5669] Add mention that sflphone.org is for testing only
  * [#5693] Add natty in teh dput.conf file
  * [#5690] Remove not useful logs
  * [#5670] Use dynamic payload type for rtp dtmf
  * [#5668] Clean up sflphone configuration logging
  * [#5668] Fix hook checkbox configuration update
  * [#5666] Fix unit tests
  * [#5666] Manage event subscription
  * [#5666] Emit bye request when subscription is terminated
  * [#5666] Bye request should be sent after event subscription
    notification is done on transfer
  * [#5666] Make reinvite method static (to be called in pjsip
    callbacks)
  * [#5666] Hangup Call in manager for AccountNULL and IP2IP
  * [#5589] Use PKG_CHECK_MODULE for every client's dependencies
  * [#5623] Enlarge initial size of pjsip memory pool for calls (16k)
  * [#5564] Fix audio recording resampling for g722
  * [#5571] Move attribute handling for onhold/offhold actions in SDP
    session
  * [#5571] Codec negotiation refactored and unittested
  * [#5571] Implement tests
  * [#5571] Implement pjsip negociator
  * [#5571] Fix unit tests
  * [#5571] Add Fmtp.h to repository
  * [#5571] Integrate mime types and codec factory
  * [#5571] Handle exception when SDP negotiation fails
  * [#5570] Add sflphoned-sample.yml in repository
  * [#5564]: Implement stereo to mono mixing for rigntone
  * [#5342] Update audio stream initialization
  * [#5514] Restore test ni historytest suite
  * [#5514] Fix
  * [#5514] Disable test_create_history_path
  * [#5514] use pulseaudio in sample config file
  * [#5514] Fix test: load history from file
  * [#5514] Do not use X
  * [#5513] Make unit tests compile successfully
  * [#3947] Enable unit tests in Jenkins
  * [#5454] Fix build system to handle new version number
  * [#5454] Update languages from launchpad
  * [#5454] Add --without-celt in OpenSuse build service
  * [#5454] Change version number
  * [#5331] Added first SDP session tests
  * [#5273] Update nightly build version tags to conform dpkg rules
  * [#5211] Refactor send register method for iaxvoiplink and
    sipvoiplink
  * [#3950] Remove call being transfered from calltree
  * [#5211] Use appropriate memory pool for transport selector
  * [#5211] Fix strict aliasing rules warning in pjsip
  * [#5211] Bring back pjsip shutting down sleep to 1000 ms
  * [#5211] Fix registration callback segfault when closing the
    application
  * [#5211] Use the dialog memory pool for Route header in INVITE
    request
  * [#5211] Add temporary memory pool for findLocalAddressFromUri and
    findLocalPortFromUri
  * [#5211] Use individual memory pool for dtmfs
  * [#5211] SipVoipLink refactoring
  * [#3950] Attended transfer for conference calls
  * [#5284] Fix DNS resolution for Route with specified port number
  * [#5284] Some code cleanup
  * [#3947] Fix typo in hudson script
  * [#5284] Added sip route to REGISTER, INVITE, BYE request, plus DNS
    resolution
  * [#5266] Use RTP dtmf as default
  * [#5284] Added pjsip_process_route_set after setting routes in regc
    structure
  * [#5286] Fix parsing error due to long configuration file (removed
    max event)
  * [#5286] Fix false test in configuration emmiter
  * [#5286] Code cleanup
  * [#5286] Updated exception handling in configuration system
  * [#4969] Fix put SRTP call on hold
  * [#3950] Add debug messages
  * [#3950] Ability to perform an attended transfer
  * [#5276] Fix initialization problem in g722
  * [#3950] Add replace header in SIPVoIPLink::transferWithReplaces
    method
  * [#3950] Implemented attended method in SIPVoIPLink
  * [#3950] Cleanup transaction request received callback
  * [#3950] Implement dummy attended transfer in gnome-client
  * [#5249] Fix audio samplerate update algorithm for g722
  * [#5249] Fix uninitialized variable used in conditional jumps
  * [#5249] Fix conditional jump error in audiolayer (uninitialized
    value)
  * [#5267] Use autoconf 2.65 as a requirement (instead of 2.67)
  * [#5267] Restore manual pjsip configuration and compilation
  * [#5267] Autodetect celt version (0.9.1, 0.7.1)
  * [#5267] Fix deprecated macros in gnome client configure.ac
  * [#5267] Update configuration for libcelt-dev
  * [#5267] Fix build autoconf and automake
  * [#5227] Deactivate automatic call to astyle after compilation
  * [#5242] Hangup every calls before leaving
  * [#5237] Will now nightly-build for natty, Karmic deprecated
  * [#5229] Use inner class for rtp thread instead of inheritance
  * [#5211] Move mainbuffer unbind call in rtp final method
  * [#5211] Initialize sip call memory pool using 16 kb
  * [#5211] Use call memory pool in session reinvite
  * [#5211] Add debug messages
  * [#5211] Use and internal pool for calls
  * [#5211] Reduce pjsip memory pool usage for stateless error messages
  * [#5211] Refactor call deletion
  * [#5212]
  * [#5208] Refactor codec management for accounts
  * [#5168] Remove printf from codec's encode & decode method
  * [#5168] Fix celt compilation on launchpad
  * [#5168] Fix sflphoned compilation warnings in audiocodec.h
  * [#[#5168] Must keep the g722 specific RTP rate to avoid incoming
    packet timeout
  * [#5168] Fix static/dynamic payload rtp session update
  * [#5168] Throw SIPVoipLink Error if codec not instantiated in new
    outgoing call
  * [#5168] Fix dynamic/static codec payload type ambiguity
  * [#5169] Fix doubled IP2IP profile when no config file
  * [#4867] Add gtkinfobar in configuration panel
  * [#4867] Disable input/output/ringtone selection when using default
    alsa plugin
  * [#4952] Patches for possible buffer overflows
  * [$4885] Fix schemas problem
  * [#4885] sflphone-client-gnome.schemas not present during build
  * [#4885] Add gconf shemas directories in opensuse build system
  * [#4885] Add file/folder ownership for opensuse-factory build system
  * [#4906] Fix opensuse-factory build
  * [#4885] Update name dependency for libedataserver
  * [#4885] Fix non-void function without return in dbus-c++
  * [#4895] Update language translation
  * [#4896] Update session timestamp when updating media
  * [#4896] Reapply RTP hack for G722 payload type
  * [#4896] Update recording sampling rate when updating codec
  * [#4897] Save codecs in config for each configuration changes
  * [#4895] Do not save config when sflphone quit
  * [#4885] Update date for copyright
  * [#4885] Deactivate siptest that require more than one sipp instance
  * [#4879] Remove inmcoming call notification from IAX
  * [#4885] Some cleanup
  * [#4874] Add setCancel immediate/deffered for ost::Thread
  * [#4879] Fix incoming call notification
  * [#4878] Set keyboard focus on searchbar when selecting addressbook
  * [#4874] Fixed compilation warning
  * [#4874] Fixed compilation warning in sipvoiplink
  * [#4874] Fix compile time warning in RTP record handler
  * [#4874] Fix conditional jump in SDP
  * [#4874] Fix conditional jump based on uninitialized value
  * [#4874] Store call id within rtp thread context
  * [#4874] Fixed conditional jump based on uninitialised value in
    conference
  * [#4871] Fix default account fetching
  * [#4870] Delete RTP session when Refusing an incoming call
  * Restore IP to IP call
  * [#4857] Fix audio codec negotiation problem
  * [#3947] Adjust ressources allocated to compilation
  * [#3947] Disable unit tests in Hudson
  * [#4305] Free mutex only when really quiting SFLphone
  * [#4859] Update copyright to 2011 in every source file
  * [#3218] Character '.' stripped by the caller engine
  * [#4854] Fix typos, desktop entry
  * [#4847] Apply RTP modification to ZRTP session
  * [#4852] Update Karmic and Lucid dependencies
  * [#4852] Add Libedataserver and libedataserverui as gnome client
    dependencies
  * [#4852] Add authentication mechanism for EDS
  * [#4851] Fix segfault when closing pulseaudio layer too rapidly
  * [#4808] Some otehr cleanup
  * [#4808] Made some cleanup
  * [#4808] Added mutex in rtp session for codecs and noise process
  * [#4847] Update audio processing when updating RTP media
  * [#4842] Add support for linking with gold/ld --no-add-needed
  * [#4808] Make update g722 related static/dynamic payload logic
  * [#4827] Upper limit on the number of contacts to import from EDS is
    hard-coded to 500
  * [#4808] Fix put call on/off hold
  * [#4808] Implement early RTP start for incoming calls
  * [#4808] Audio stream is no longer start within RTP session.
  * [#4808] Removed coupling between audio layer and and RTP session
  * [#4702] Start audio rtp session as soon as it is created
  * [#4702] Init timestamp to 0
  * #4702: Send RTP packets immediately, no need of outgoing queue
  * [#4784] Update dbus-c++ version from gitorious
  * [#4702] Update RTP timeouts
  * [#4702] Lengthen RTP timeouts
  * [PATCH] Fixed compatibility with old libtool versions.
  * [PATCH] Accept older libebook (Maemo 5 has 1.4.2)
  * [PATCH] Fixed double-free error in preferences dialog
  * [PATCH] Fixed building of sflphone-common on Maemo5
  * [PATCH] Improved Gnome client initialization error handling. 1. It
    no longer segfaults when sflphoned isn't available. 2. User is
    provided with GUI error dialog.
  * [PATCH] Improved autogen.sh scripts 1. They do not require bash
    anymore 2. Added workaround for Debian bug #565663 3. Replaced
    manual autotools invocations with single autoreconf call 4. Non-zero
    return status on failure
  * Revert "[#4468] libtool <= 2.2 doesn't have LT_INIT macro so
    AC_PROG_LIBTOOL should be used instead."
  * Revert "[#4468] Libebook 1.4 is sufficient"
  * Revert "[#4468] Apply big path on dbus communication system"
  * [#4468] Apply big path on dbus communication system
  * [#4468] Libebook 1.4 is sufficient
  * [#4468] libtool <= 2.2 doesn't have LT_INIT macro so AC_PROG_LIBTOOL
    should be used instead.
  * [#4639] Fix determining default addressbook if this property is not
    set in gconf
  * [#4639] Fix memory leaks in Addressbook
  * [#4637] Fix opening default addressbook at sflphone init
  * [#4622] Free yaml events while parsing configuration file
  * [#4623] Fix conditional jumps based on uninitialized variable
  * [#4622] Fix leaks in yaml serialization engine
  * [#4616] Fix addressbook warnings
  * [#4514] Adjust RTP timestamp
  * #4527: Rename Karmic libyaml and Celt package in debian control file
  * #4495: Rework addressbook opening loop
  * [#4524] Increment RTP count when sending data
  * [#4524] DO NOT start RTP session twice
  * [#4367] Use PKG_CHECK_MODULE for celt
  * [#4367] Fedora  package celt as celt (not libcelt)
  * [#4367] Astyling
  * [#4367] Update .po files
  * [#4367] Fix segfault in gensin
  * [#4354] Make celt a direct dependency on launchpad opensuse build
    service
  * [#4367] Make celt a required package, option --without-celt valid
  * [#4367] Fix zrtp timestamping error
  * [#4367] Fix audio zrtp timing
  * [#4367] Dispatch ZRTP packets
  * [#4367] Fix segfault when unloading account map
  * [#4367] Fix zrtp session
  * [#4367] Implement on packet receive
  * [#4367] use symetric audio rtp session, not dual
  * [#4367] Reduce packet receive/sent timeout
  * [#4367] Reduce RTP timeouts
  * [#4367] Move speaker data receive
  * [#4367] Move speaker data receive
  * [#4367] Move receive speaker data method
  * [#4367] Remove debug in rtp session
  * [#4367] Fix g722 codec clock rate
  * [#4367] Fix noise suppression initialization
  * [#4367] Fix segfault in RTP mic fadein method
  * [#4367] Refactor mic data encoding in rtp session
  * [#4367] Implement RTP main loop
  * [#4367] Fix compilation problem
  * [#4367] Fix AudioRtpclass using TRTPSessionBase
  * [#4367] Fix AudioRtpSession putDtmfEvent shadowing
  * [#4367] Fix AudioRtpSession putDtmfEvent shadowing
  * [#4367] Refactor RTP session (phase 2)
  * [#4367] Refactor RTP session (phase 1)
  * [#4367] Remove Redeclaration of SymetricAudioRtpSession in
    rtpfactory
  * [#4265] Add continue statement in for loop for invalid addressbook
  * [#4261] Makes addressbook initialization more robust
  * [#4257] Add maverick in build system
  * [#4233] Add sdp related unit tests
  * [#4233] Add condition and signal in two incoming call test
  * [#4243] Fix segfault in AudioSrtpSession
  * [#4243] Fix memory leak in AudioSrtpSession
  * [#4243] Make audio srtp optional in for incoming call
  * [#4243] Add boolean variable to make sure remote crypto context
    initialized only once
  * [#4243] Add documentation to AudioSrtpSession
  * [#4243] Use 80 bits authentication tags by default
  * [#4243] Init audio srtp remote crypto context in
    call_on_media_update
  * [#4243] Move SDP negotiastion in mod_on_rx_request
  * [#4243] Implement initLocalCryptoInfo to be called at different
    momment
  * [#4243] Init init local crypto context in when initializing audiortp
  * [#4243] Change key length according to sdes negociation
  * [#4243] Associate callid to accountid for incoming calls
  * [#4242] Fix no SDES keys in IP2IP calls
  * [#4242] Fix no SDES keys in IP2IP calls
  * [#4233] Test for call on/off hold
  * [#4233] Add two incoming call test
  * [#4233]
  * [#4233] Add 2 outgoing simultaneous call unit tests

 -- Julien Bonjean <julien.bonjean@savoirfairelinux.com>  Fri, 30 Sep 2011 13:51:04 -0400

sflphone-common (0.9.7~rc1~ppa1~SYSTEM) SYSTEM; urgency=low

    ** 0.9.7~rc1~ppa1~SYSTEM **

  * [#2462] Set explicitly the transport on incoming call too
  * [#2462] fix typo
  * [#2462] Use different address for SDP and call IP
  * [#2462] Use published address in SIP-SDP
  * [#2181] Fixed changelog files
  * [#2181] Updated spec file
  * [#2402] Fix pointer to int conversion warning (atoi)
  * [#2402] Remove daemon warnings, make indent
  * [#2459] Make sure the stream is opened when the call is answered
  * [#2402] Add conference related picture in documentation
  * [#2443] Not much ...
  * [#2399] Fix dialing display problem
  * [#2450] Fix incoming call already in conference crash
  * [#2399] Display peer name on the first line and peer number on the
    second
  * [#2450] Handle 403 FORBIDDEN when refused
  * [#2447] Bind offHold/onHold actions to button in gtk client
  * [#2447] Bind hangup action to button for conference
  * [#2447] Add conference action in gtk client's ToolBar
  * [#2381] Disable the password hashing in config file
  * [#2402] Cleanup
  * [#2366] Set callback to null when deleting Pulseaudio streams
  * [#1313] Fix main buffer unit test
  * [#1313] Fix audio layer unit test
  * [#2315] Hide pw in security tab, display when editing, sync with
    basic tab
  * [#1313] UnitTest change AudioRtpSession for AudioSymetricRtpSession
    instance
  * [#2402] Code cleanup
  * [#2444] Add debug to catch occasional crash when loading client's
    config
  * [#2444] Add debug info to catch occasional crash when loading config
    dialog
  * [#2402] Restore Call menu translations
  * [#2403] Use the published address if checked in GUI
  * [#2442] Add protection test in sdp
  * [#1841] Reapply pjsip patch concerning DNS SRV resolution
  * [#2384] Tags incoming call as direct SIP call, if applicable
  * [#2402] Change the monkey face
  * [#2315] Enable user to display password in clear text
  * [#2434] Force optimization level at 2
  * [#2284] Fix dbus_get_all_ip_interface compilation warnings
  * [#2431] Popup main window on incoming if applicable
  * [$2402] Fix simple warnings
  * [#2402] Fix implicit variable init order in LibraryManagerException
  * [#2402] Fixing implicit variable initialization warnings in
    AudioRtpSession
  * [#2402] Revert atoi change, fixing codec list doubled entries
  * [#2402] Fix gpointer to gint conversion
  * [#2402] Fix pointer casting to integer different size warning in
    codec list
  * [#2402] Fix warning discarting qualifiers from pointer target
  * [#2402] Fix gtk tree view assignement from incompatible type warning
  * [#1669] Fix audio recording folder utf-8 non compatibility issue
  * [#2414] Clean up debugs
  * [#2414] Use transport set in iptoip Account and update it frm
    preference
  * [#2348] Use macro N_() to mark ui.xml strings as translatable
  * [#2414] Rename getSipAddress/setSipAddress functions
  * [#2407] Fix volume controls display
  * [#2407] Fixes dialpad
  * [#2383] Set ip to ip config when clicking apply button
  * [#2404] Update call-to script - Maxime Chambreuil
  * [#2405] Client handles unknown call in current state as well
  * [#2383] Add DBUS signal to send IPtoIP local address and port as
    string
  * [#2383] Add Ip to IP config change apply call back
  * Clonflict
  * [#2402] Code cleanup
  * [#2383] Do the same for IPtoIP (init localn ip with first in the
    list)
  * [#2383] Use first interface in the list if local addresss is not
    defined
  * [#2403] Clean up unuseful addresses/ports
  * [#2403] Use the IP profile SIP port as global SIP port
  * [#2383] Fix dbus_get_all_ip_interface warnings
  * [#2383] Take into account sameAsLocal when loading published address
  * [#2383] Tsake into account sameAsLocal option when saving published
    address
  * [#2383] Update local ip address in ip to ip config
  * [#2383] Save ip 2 ip local port in config
  * [#2406] Update toolbar at startup
  * [#2284] Remove redefinition warnings + speex warnings
  * [#2383] Fix security table in account config
  * [#2383] Save ip 2 ip network interface parameters in config
  * [#2403] Restore sip transport selector
  * [#2383] Fix filling the Localt IP Address on account creation
  * [#2383] Fix Gtk-Critical when checking STUN
  * [#2383] Fix reopening account configuration display issue
  * [#2383] Load IPtoIP local address and port in preference iptoiptab
  * [#2383] Add LocalAddress and Localport in Preference IpToIp tab
  * [#2403] Use the address and port associated to the account as often
    as possible
  * [#1753] Removed pjsip generated files
  * [#1753] Removed remaining milenage lib references
  * [#2383] Add _publishedSameasLocal variable in sipaccount
  * [#2383] Add PUBLISHED_SAMEAS_LOCAL variable in config
  * [#2383] Fix stun set active or not when opening config
  * [#2181] Added RPM 64bits dbus patch
  * [#2402] Code indentation
  * [#2313] Force $(HOME).cache directory creation at startup
  * [#2383] Separate network interface and published address in account
    config
  * [#2400] Change dbus service installation path to libdir
  * [#2382] Move TLS related published address options in security tab
  * [#2382] Indent accountconfigdialog.c
  * [#2181] Install libdbus-c++ in $pkglib instead of $lib
  * [#1753] Remove ILBC code and disable it by default in the configure
  * [#1753] Remove milenage directory
  * [#2382] Fix switching interaface instabilities
  * [#2396] Save local ip in account creation wizard
  * [#2284] Remove warning on hold
  * [#2387] Fixes history searching and filtering
  * [#1215] Add samplerate display in the GUI
  * [#1663] Voicemail icon reflects voice messages
  * [#2395] Fix account registration ( specifically with callcentric)
  * [#2386] Strip "sip:" on incoming call, fixing history call back
  * [#2181] Updated spec files
  * [#1215] Display codec name in calltree instead of status bar
  * [#2390] Move back nbCalls and stopStream higher in refuseCall
  * [#2392] Fix ringtone during call in IAX
  * [#2391] Stop audio streams when there is 0 calls only
  * [#2391] Add debug when call state is not valid
  * [#2390] Clear returns in IAXvoipLink::sendAudioFromMic() method
  * [#2380] Fixing IncomingCallNotification not regular
  * [#2339] Query conference at client startup
  * [#2339] Working conference querying at startup
  * [#2339] Add conference in call tree
  * [#2339] Primitives to query conferences at client startup
  * [#2320] Add account selection in history
  * [#2355] Temporary solution: do not delete pointer when removing
    account
  * [#2380] Change algorithm in AudioRtp to trigger an
    IncomingCallNotification
  * [#2274] Comment sdebug in MainBuffer flush method
  * [#2274] Add flushMain() in ManagerImpl::addStream
  * [#2274] Add getBufferID() method in ring buffer
  * [#2274] Fix warning, comment debug in ringbuffer's flush method
  * [#2274] Use AudioLayer flushMain() and flushUrgent() in ALSA
  * [#2274] Clean up unused variable warning
  * [#2274] Protect minbudffer pointer on flushing
  * [#2274] Fix playATone method which writing empty buffer in urgent
    ringbuffer
  * [#2274] Use audio layer flushUrgent and flushMain in createStreams
  * [#2274] Use flush audio calls from audiolayer
  * [#2274] Flush when peer answered call
  * [#2375] Flush main buffer in iax when answering a call
  * [#2274] Parse displayname using c++ string method
  * [#2375] Flush main buffer when off holding calls
  * [#2375] Flush main buffer mon RTP startup
  * [#2376] Use now Pulseaudio module-cork-music-on-phone
  * Updated OSC packaging

 -- Julien Bonjean <julien.bonjean@savoirfairelinux.com>  Fri, 20 Nov 2009 14:00:02 -0500

sflphone-common (0.9.7~beta~ppa1~SYSTEM) SYSTEM; urgency=low

    ** 0.9.7~beta~ppa1~SYSTEM **

  * [#1933] Cleanup debug
  * [#1933] Clean up debug
  * Fix mic
  * [#1933] Set the IAx format earlier
  * [#1933] Move IAX sendAudioFromMic outside if (call) statement
  * [#1933] Fix startstream when offhold in iax and add debug concerning
    codec neg.
  * [#2371] sflphone_notify_voice_mail: minor gettext message formatting
    cleanup
  * [#2371] select_account_cb: properly gettextize status message
  * [#2371] show_account_list_config_dialog: properly gettextize status
    message
  * INSTALL: Minor tidyup of core install guide
  * Add /sflphone-client-gnome/src/icons/Makefile to .gitignore
  * [#2181] Updated OpenSUSE files (tmp)
  * [#1933] Add debug for codec negociation for iax
  * [#1933] Get rid of getMicAvail and getMicData in audiolayer (not
    used anymore)
  * [#1933] Add "audio codec not determined" error in IAX
  * [#1933] Test flush data
  * [#1933] Do not need to start audio stream in iax anymore
  * [#1933] Protecting pointer
  * [#2284] Remove more compilation/execution warnings
  * [#2284] Cleanup debug in client, use DEBUG instead of g_print
  * [#2284] Clean up uimanager
  * [#2370] Remove warnings
  * [#2366] Clean up other debug
  * [#2366] Clean up debug
  * [#2366] Call pa_xfree explicitely in writeToSpeaker
  * [#2284] Remove address book warnings
  * [#2365] Fixes bad cast
  * [#2352] Fix continuous ringing when peer hangup and call not yet
    answered
  * [#2181] Added version support
  * [#2181] Fixed some minor issues
  * [#2360] Moved MainBuffer from AudioLayer to ManagerImpl
  * [#2352] Makes getMainBuffer() everywhere
  * [#2352] Use 50 sec latency on pulseaudio stream creation
  * [#2352] Add alsa debug
  * [#2359] Update repository documentation
  * [#2354] Move pulseaudio disconnectAudioStream after stopping main
    loop
  * [#2352] Adjust nb byte copied in pulseaudio according to
    writeableSize
  * [#2352] Specify pulseaudio tlength parameters using pa_usec_to_bytes
  * [#2322] Convert italian translation to UTF-8
  * [#2357] Fixes window size
  * [#2357] Display only actionnable tool item
  * [#2333] Update streams parameters
  * [#2347] Use GNOME user settings for Menu and Toolbar appareance
  * [#2349] Load/Save properly audio params
  * [#2322] Update translations from Launchpad
  * [#2181] Added Francois Marier script
  * [#2350] Remove non-valid test
  * [#2181] Updated launchpad packaging
  * [#2333] Fix Pulseaudio Capture
  * [#2333] Use pulseaudio ADJUST_LATENCY flag and ALSA RT-SCHEDULING
  * [#2333] Pulseaudio Interpolate timing
  * [#2333] Change (again) Pulseaudio settings to fit logiteck usb hdw
    requirement
  * [#2333] Adjust pulseaudio fragment size to 4096 (max sflphone's
    frames per buffer)
  * [#2284] Remove recurrent compilation warning (g++ linker problem)
  * [#2333] Safer Audiostream parameters
  * [#2333] Fix alsa playback to reduce underrun
  * [#2333] Better audiostream parameters
  * [#2181] Updated version management
  * [#2333] Exclusive test in playback loop
  * [#2181] Updated build system
  * [#2333] Less underrun with these value
  * [#2333] Update playback audiostream parameters
  * [#2333] Lengthen the audio buffer reduce number of underrun in
    pulseaudio
  * [#2333] Add ALSA recovery functions for underrun (begin)
  * [#2333] Add pa_stream_trigger in pulse audio underrun callabck
  * [#2048] Reduce prebuffering in pulseaudio (which affect incomming
    calls' plbck)
  * [#2316] Do not display any icons to the right on the history tab
  * [#2333] Comment pa_stream_trigger in pulseaudio underrun
  * [#2333] Modify pulseaudio streams parameters
  * [#2318] Fix transfer tool button double signal
  * [#2181] Updated
  * [#2333] Fix ALSA ringtone
  * [#2333] Flush all main buffer before starting audio
  * [#2333] Open/Close Alsa thread between calls while there is no audio
  * [#2333] Add debug message and test condition on starting playback
    and capture
  * [#2181] Fixed gnome client makefile
  * [#2181] Updated
  * [#2308] Remove getTelephoneTone debug
  * [#2308] Change plughw for default in ALSA
  * [#2308] Oups, forgot to change function name in audiolayertest.cpp
  * [#2308] Cleanup in pulseaudio code (debug, function name)
  * [#2308] Fix pulseaudio stream closing assertion failure
  * [#2308] Moved pulseaudio mainloop locking from AudioStream
    disconnect stream
  * [2308] Fix latency at the beginning of a call, when playing DTMF and
    wehn starting tone
  * [#2181] Updated karmic
  * [#2317] [#2319] Fix address book toggle button contextual behaviour
  * [#2308] Stop stream when refusing a call
  * [#2308] Stop pulseaudio stream when peer hungup
  * [#2308] Fix tone and  ringtone
  * [#2312] Display the STUN entry widget when opening the tab
  * [#2308] Implement two different callbacks for capture/playback in
    pulseaudio
  * [#2309] Open/close pulseaudio connections in startStream/stopStream
  * [2308] Leave pulseaudio stream running, do not cork/uncork them
    anymore
  * [#2295] Set gtk file chooser to None if nothing is set in
    configuration
  * [#1976] Add codec and conference documentation
  * [#2209] Fix recording in regard of resamling
  * [#2297] Update .gitignore
  * [#2297] Update translation files
  * [#2297] Add reference to our coding standards
  * [#2297] Remove old docbook code
  * [#2296] Reinit tls account settings after modification
  * [#2253] Add DcBlocker class to remove capture's dc offset
  * [#2034] Fixes for TLS transport to initialize
  * [#2284] Add silent build rule + client clean warnings
  * [#2274] Fix unserialize history items in cilent at startup
  * [#2274] Complete display name parsing and displaying
  * [#2274] Parse the Display Name in sip INVITE message
  * [#2050] Fix capture volume control in ALSA
  * [#1970] Volume controls disable when using pulseaudio
  * [#1970] Disable volume controls when using pulseaudio
  * [#2277] Fix direct ip2ip ZRTP enabling/disabling in ip2ip
    preferences
  * [#2181] Added launchpad debian files
  * [#2181] Added spec files for OSC
  * [#2274] Set display name for "Contact" sip header as the hostname
  * [#2181] Fixed daemon issues
  * [#2181] Fixed gnome client issues
  * [#1976] Remove warnings - need to fix the transfer
  * [#2006] Add init is_rec variable in ManagerImpl
  * [#2006] Update codec display on call selection
  * [#2006] Restore double click actions in history and contact calltree
    (GTK)
  * [#2176] use XDG_CACHE_HOME when initializing sfl.zid file
  * [#1976] Fix calltree switching from history
  * [#2209] (Re)Fix cache for zid
  * [#2209] Clean up debug messages
  * [#2209] Clean debug messages
  * [#2209] Fix trasnfering a call during a conference
  * [#2209] Speex decode must return the number of bytes
  * [#2209] Change frameSize speex 32kHz
  * [#2209] Fix speex codec framesize
  * [#2209] Reinit converterSamplingRate in RTP sessions
  * [#2209] Change speex ultra wide band framesize
  * [#1747] Add pixmap data
  * [#2252] Fix Receiving a server error 488 crashes the callee
  * [#2209] Fix iax low rate packate sending
  * [#2209] Clean up debug messages
  * [#2209] Add resampling changes for IAX
  * [#2209] Clean up resampling code
  * [#2209] Fix latency introduced by pulseaudio
  * [#2209] Fix initialization of mainbuffer's internal sampling rate
  * [#2176] Fix upsampling buffer size in audiolayer
  * [#2209] Add dynamic converter sampling rate in audiortp sessions
  * [#1747] Fixes runtime warnings
  * [#1747] Remove from repo
  * [#1747] register our icons to be used as stock icons
  * [#2209] Fix number of byte in alsa's write to speaker
  * [#2209] Fix putting non-resampled data in RTP's mainbuffer
  * [#2209] Add alsa resampler
  * [#2209] Add a samplerate converter in PulseLayer
  * [#2209] Add mainbuffer's internal sampling rate and flushall method
  * [#2176] Add mainbuffer stateInfo debug method
  * [#2209] Resampling is optimal using SRC_LINEAR not SRC_FASTEST
  * [#2176] Remove debug recordings
  * [#2176] Fix Holding a conference participant on new calls
  * [#2224] Add confID in callable object
  * [#2176] Fix putting onhold a call participating to a conference when
    pressing new call
  * [#2176] Reset auidio buffers when adding streams (rtp, audiolayer)
  * [#1976] Use xml to describe toolbars - Add a naviguation toolbar
  * [#2176] Remove conference default_id in joinParticipant
  * [#2176] Display error message in alsa's snd_pcm_avail_update call
  * [#2176] Alsa mic avail data debug
  * [#2176] Add some debug message for mic loss problem
  * [#2176] Flush mic ring buffer when offholding a call
  * [#2176] Reset ringbuffers' readpointer when adding main participant
  * [#2176] Fix getAvailData algorithm
  * [#2176] Reset ringbuffer's readpointer when adding a new participant
    to a conference
  * [#1744] Regex object renamed to Pattern. Previous attempt at
    providing
  * [#2176] Fix detach main participant problem when adding new one
  * [#1976] Use right domain to translate
  * [#1976] Add xml menu description
  * [#2176] Store a list of confernece participant in client
  * [#2176] Fix add participant, joinparticipant methods
  * [#2181] Do not install dbus-c++ headers + add return value
  * [#2176] Fix minor call handling instabilities
  * [#2174] Fix incoming IP call contact address
  * [#2211] Add test to protect NULL pointer
  * [#1163] Add Advanced account configuration section
  * [#2176] Add some usefull comments and debugging info
  * [#2176] Add conditions to display security icons in conference
  * [#2176] Fix detaching one participant while keeping communication to
    others
  * [#2176] Reenable userActive.svg in call tree
  * [#2176] Make user active blue (not red)
  * [#2176] Fix user active picture
  * [#2176] Fix "hidden" merge conflict in sipvoiplink
  * [#2176] Remove iax audio stream on peer hungup
  * [#2174] Multiple UDP transports functional (TESTED with 2 accounts
    and 3 calls)
  * [#2176] Fix fix audio stream binding in iax
  * [#2174] Create a default UDP transport + use tp selector for dialogs
    also
  * [#2176] Register iax audio stream in mainbuffer
  * [#2176] Fix getAudioCodecName in IAXvoipLink
  * [#2176] Fix iax account init
  * [#2176] Handle multiple account using the same sip transport
  * [#2165] Add .png files
  * [#2176] Small fixes concerning dtmf
  * [#2176] Fix make uninstall in codecs
  * [#2174] remove stund makefile generation
  * [#2176] Add conference lock
  * [#2174] Add transport selector for multiple accounts
  * [#2176] Change userActive picture from red to blue
  * [#2176] Fix security pixbuff in calltree
  * [#2176] Replace sfl.zid in .cache/sflphone instead of .sflphone
  * [#2176] Fix add call description
  * [#2176] Remove detach button from toolbar
  * [#2176] Fix calltree call description state and state code in
    conferences
  * [#2176] Fix pulse audio double free
  * [#2176] Fix conference selection
  * [#2174] Clean up - remove stun settings in client network
    configuration panel
  * [#2174] Remove voviva stun code
  * [#2174] Rsolve STUN with pjsip - DO NOT WORK
  * [#2165] Add user svg
  * [#2165] Debugging sip call failed
  * [#929] Link against uuid if installed
  * Oops
  * Fixed bugs related to libsexy (with GTK < 2.16)
  * [#929] Remove uuid-dev dependency in the core
  * [#2165] Debugging no negociated codecs at communicatio start
  * [#2165] Fix calltree bug (gtktreestore instead of gtkliststore)
  * [#2165] Fix several merge problems
  * Updated opensuse packaging script
  * [#1163] Add missing figures
  * [#1163] Update INSTALL file
  * [#2165] Fix IAX
  * [#2165] Add recordabe interface
  * [#2165] Finish recording refactoring for call (not for conference)
  * [#2165] Enable speaker recording for two different calls
    simultanously
  * [#2165] Implement call recording using the Recordable interface
  * [#2165] Add get and set to AudioLayer's audio recorder
  * [#2165] Add class recordable from which inherit call and conference
  * [#2006] Fix G722 and Speex 8khz codec conferencing
  * [#2006] add recording of audio buffers
  * [#1163] Add general settings section
  * [#1163] Fixes makefile error
  * [#2006] Fix some minor issues
  * [#2006] Drag a conference call on another conference call
    (difference conferences)
  * [#2006] Fix dragging a conference on itself
  * [#1744] Integrating some of the needed regular expression patterns
    in order
  * COmplete call features
  * [#1744] Added support for named subgroup in the Regex object. Also,
    new
  * [#1744] Adds thread safety features, compile() and setPattern()
    methods to the Regex class.
  * [#1744] Fix inconsistency in the finditer method from the last
    commit.
  * [#1744] Added regex pattern object built on top of libpcre. To be
    used
  * [#1744] Initial commit towards implementing RFC4568. Unimplemented
    in the
  * [#2157] Hide "security" and "advanced" tabs for IAX under account
  * [#1163] Add call features section
  * [#2006] Add joinConference capabilities
  * [#2006] Add dbus joinConference signal
  * [#2006] Drag a conference call onto a conference to add it
  * [#1163] Add addressbook section
  * [#2006] Drag a conference call onto a single call to create a
    conference
  * [#2006] Expand rows automatically
  * [#2006] Add minimal multiple conference handling
  * [#2006] Add atached/detached conference icons
  * [#2006] Add function processRemainingParticipant
  * [#2006] Deep refactoring, fix hangup bug
  * [#1163] Update documentation - Accounts part
  * [#1976] Integrate user doc to gnome client build system
  * [#2122] Remove double inclusion in dbus-c++/src/Makefile.am
  * Remove pjproject version number
  * [#2006] Fix peerHungup
  * [#1976] Make Yelp accessible from the GNOME client (need to install
    the sflphone.xml first)
  * [#2006] Fix multiconferencing hangup
  * [#2006] Fix hangup calls in a conference
  * [#2150] Make IAx2 reappear
  * [#2006] Fix detach participant on multiple call
  * [#2006] Can remove rining call from a conference
  * [#2006] Reinit confID when removing a participant
  * [#2006] Remove get isCurrentCAll in hangup/peerhungup (SipVoipLink)
  * [#2006] Fix refuse call
  * [#2006] Fix answerring incoming call
  * [#2006] Refactor conference's participant list
  * [#2101] Re-integrate test compilation in main build system
  * [#2101] Make the test directory compile
  * [#2136] Restore history functionality
  * [#2006] Fix binding main participant to himself
  * [#2006] Fix add current/incoming/onHold participant to an existing
    conference
  * [#2006] Fix add incoming calls to an already created conference
  * [#2006] Fix remove stream
  * [#2006] Fix detachParticipant/removeParticipant switchCall ids
  * [#2006] Fix adding a call in conference having state "CURRENT"
  * [#2006] Remove/add main participant from conferences
  * [#2006] Hold/unHold conference
  * [#2006] Detach a partcipant from drag n drop
  * [#2006] Hangup a conference
  * [#2006] Add hold/unhold conference dbus messages
  * [#2034] gtk-ui fix under the "basic" tab.
  * [#2006] Fix dragging calls on conference calls
  * [#2006] Fix detach participant from a conference
  * [#2034] Added default message is status bar under the account config
    dialog
  * [#2112] Fix a crashed caused when a non-md5 password was sent to
    pjsip.
  * [#2006] Detach participant by ID
  * [#2006] Fix addParticipant method in managerImpl to handle
    incoming/answered calls
  * [#2006] Add addParticipant method in managerimpl and related dbus
    messages
  * [#2111] Added the ability to configure zrtp on sip.sflphone.org from
  * [#2106] Fixed problem in the account assistant under gtk-ui. Also,
    assistant.c
  * [#2006] Fix dragging a conference call on another conference call
    (same conference)
  * [#1904] Small UI fix. Assistant was moved from "Call" to "Edit"
    menu.
  * [#1904] Fix a wrong label under gtk-ui.
  * [#2034] Renaming and source code splitting.
  * [#2034] Status bar added to account window to better reflect the
    registration
  * [#2006] Make calltree_remove_call recursive (for GtkTreeStore)
  * [#1110] Small gtk-UI fix in the account window (alignment).
  * [#2006] Fix remove conference, display children which are still
    active
  * [#2006] Recursive function call in calltree_update_call
  * [#2006] Add multilayered capabilities to calltree (GtkTreeStore)
  * [#2006] Implement remove conference in calltree
  * [#2034] Now useless as Direct Ip calls settings moved under
    Preferences.
  * [#2034] Edit/add buttons were set insensitive all the time under
    gtk-ui.
  * [#1887] Information about the state of the current SIP call is
    displayed
  * [#2006] Add call tree remove callback
  * [#2006] Fix create_conference function
  * [#2006] Update conference_added_cb to add new conference to the list
  * [#812] Added new tab under GTK-ui Preferences. Moving Direct Ip
    Calls from
  * [#2121] Disable temporarily test compilation
  * [#2006] Fix conferencelist to handle conference_obj_t instead of
    gchar
  * [#2006] Add conference_obj structure
  * [#2121] Update version
  * [#2006] Fix conference selection
  * [#2101] Use the new source tree to fetch the right object files
  * [#2006] Add conference in calltree
  * [#2006] Add Dbus signal conference added/removed/changed
  * [#2006] Add getConferenceDetails call on dbus
  * [#1904] Registration expire now appears as a spin box under gtk-ui.
  * [#812] Fixing a segmentation fault caused by a non-existing account
    ID
  * [#2006] Add getConfList method over dbus
  * [#2006] Add a conferencelist data structure in client-gnome
  * [#812] Defaults value are now sent if a non-existing account is
    requested
  * [#2006] Add sflphone action sflphone_join_participant
  * [#2006] Fix buffer read pointer problem deletion
  * [pjsip] Attempt at fixing via header incompatibility with
    Freeswitch.
  * [#1797] forget something
  * [#2006] Add call new state conferencing in deamon
  * [#2006] Remove addParticipant method for conference, use
    joinParticipant only
  * [#1163] Update INSTALL documentation
  * [#812] Msec/sec values were not taken into account.
  * [#1797] Make pjproject-1.4 compile
  * [#2006] Add Detach participant method
  * [#2006] Dragndrop fully functional with INCOMING and HOLD call
  * [#1797] Add pjproject-1.4
  * [#1797] Remove pjproject-1.0.3
  * [#2006] Get call state in conference related function
  * [#2006] Add joinParticipant (conference) method in ManagerImpl
  * [#2006] Add joinConference DBUS message
  * [#2006] Store the previously selected call_id on dragndrop
  * [#2006] Fix GValue pointer unref in selection callback
  * [#2006] Store dragged call_id
  * [#2006] Update drag_data_received_cb callback to manipulate CallIDs
  * [#2006] Add dragndrop signals
  * [#2006] Set calltree reordable
  * [#812] Adds the ability to create a TLS listener in case the user
    requests
  * [#812] Adds the ability to configure local/published address from
  * [#1883] Move switchCall in onHoldCall function
  * [#812] Deals with the published address/port problem when
    integrating TLS.
  * [#1883] Switch call id in managerimpl when peerHungUp
  * [#1883] Switch call id before hangup
  * [#1883] Add usefull and permanent debug info for conference
    cretion/deletion
  * [#812] Fix various segmentation faults related to Direct IP kind of
    calls.
  * [#1883] Fix deletion of std::map elements using iterators
  * [#2014] Add libzrtpcpp build dependency
  * [#1883] Still some for loop test ambiguity (while loop instead)
  * [#1883] Fix for loop initial test ambiguity (use while loop instead)
  * [#1883] We must discard data in urgent ring buffer if data is get in
    mainbuf
  * [#1883] Fix availForGet same id for ringbuffer and readpointer
  * [#812] Match "sips" as a Direct IP Call when the user enter a sip
    uri
  * [#812] Fix segmentation fault related to SIP URI creation.
  * [#812] Towards integrating multiple tls listeners at the same time.
    This
  * [#1883] Add debug messages in conference and fix mainbufferTest
  * [#812] gkt-ui fix. Private key must be fed as a filename and not as-
    is.
  * [#812] TLS integration within sipvoiplink and pjsip. Also,
    configure.ac
  * [#1883] Fix Alsa/Pulse mallocation
  * [#1883] Fix data corruption in AudioRtp's micData buffer
  * [#812] Full dbus integration for all the tls related options under
    gtk-ui.
  * [#1883] Fix memory leaks in audiortp session
  * [#1883] Fix mem leaks in audio rtp
  * [#812] Fix setAccountDetails where TLS_ENABLE was set to the value
  * [#812] Small gtk-ui fix.
  * [#811][#812] Small gtk-ui fix.
  * [#812] Introduced a mechanism for configuration files that makes
    possible
  * [#812] New dbus bindings added. Also, configuration compliance was
    enforced
  * [#1881] Remove default buffer from MainBuffer (update unit-tests)
  * [#1881] Add ring buffer read pointer tests
  * [#1883] Fix issues  in ringbuffer reader pointers
  * [#2034] Implementing a new configuration dialogue for TLS transport
    settings
  * [#1883] Add some usefull debug and safety checks
  * [#2028] Notify the client with libnotify when the zrtp negotiation
    failed.
  * [#811] Harmless no to throw an exception, an makes the application
    less
  * [#2028] A minidialog is showed to the user under sflphone-client-
    gnome
  * Removed useless file.
  * Ignoring Makefile in src/widget
  * [#2027] Fix segmentation fault when showMessage callback is called
    after
  * [#2026] keyExchange was set to ZRTP instead of "1"
  * [#2024] Fix the wrong summary at the end of the assistant.
  * [#1883] Fix mnagerimpl conference map insertion
  * [#1883] Add Mutexes in MainBuffer
  * [#811] Gtk ui was not presenting the right information about zrtp
    for
  * [#2023] security icons were not installed in sflphone-client-gnome.
  * [#2021] Fix a mistake in the readme from sflphone-common that gives
    wrong
  * [#811] The current SRTP mode was not properly displayed for the
    IP2IP
  * [#1743] Re-implementation of the "automatically remove error dialogs
    [...]"
  * [#2017] [#2019] Fix the inability to dial a number and place a
    registered
  * [#811] Final re-integration of ZRTP support in the main branch from
    0.9.6
  * [#1883] Fix map insertion methods
  * [#811] Combo box now is now set to the active key exchange method
  * [#811] ZRTP options now configurable back again from the Gtk UI.
    IP2IP
  * Updated hostname for git clone
  * [#1883] Add minimal functionalities to create a conference
  * [#811] re-integration of all the methods and signals on dbus.
    ManagerImpl
  * [#811] Got out of a precarious position were nothing would compile.
  * [#1976] Build documentation squeleton with docbook
  * [#1883] Add sflphone-client "addParticipant" button for conference
  * [#1994] Better organize the source directory structure. New
    subdirectories
  * [#1883] Add a simple Conference class
  * [#1882] Use static audio buffer in Pulse and ALSA layer (instead of
    malloc)
  * [#811] First commit toward re-integration and refactoring of ZRTP
  * [#1882] Flush RTP ring buffer before entering mainloop
  * [#1882] Fixed MainBuffer::UnBinCallID() in case there is no
    ringbuffer
  * [#1882] Test (and fixe) high level conference and mixing
    functionalities
  * [#1772] Apply patch to compile on fedora (sent by Marcin
    Zajączkowski <mszpak@wp.pl>)
  * [#1882] Update Bind, unBind call_id in MainBuffer
  * [#1959] This adds the ability to store password as an MD5 Hash in
    the
  * [#1538] Fixes rules compilation
  * [#1930][#1931] Fixed a mistake (again) related to index and
    credential count
  * [#1753] Remove ILBC from pjproject - Hacks in pjsip
  * [#1930][#1931] Credential was not selected properly using realm
  * [#1882] Finilize multiple reading pointer in RingBuffer
  * [#1538] Remove configure from autogen.sh to respect debian upstream
    authors policy
  * [#1773] Remove generated files from repo
  * [#1791] Use XDG_CACHE_HOME to save pid file
  * [#1791] Fixes path to save history
  * [#1791] Fix debian installation scripts
  * [#1930][#1931] Settings are now taken into account in the server.
  * [#1882] Add ringbuffer default ring buffer pointer in methods
    involving mStart
  * [#1882] Add default ringbuffer pointer
  * [#1882] Add RingBuffer multiple read pointer basic functionnalities
  * [#1882] Fix MainBuffer flushData unit test
  * [#1930][#1931] Ability to save and retreive the configuration from
  * [#1882] Added Multiple CallID mapping to MainBuffer
  * [#1791] Not much
  * [#1791] If XDG env variables are not null but empty, use default
    ones
  * [#1791] Make XDG_CONFIG_HOME writable
  * [#1930][#1931] Partial commit. Not working yet. Cannot delete
    account
  * [#1881] Fixed alsa capture latency problem
  * [#1881] Fixed Alsa capture temporarily
  * [#1930] [#1931] Partial unbroken commit providing the ability to
  * [#1881] MainBuffer implemented in AudioLayer/AudioRTP
  * [#1881] Add discard and flush unit-tests
  * [#1881] Add discard and flush functionnalites to MainRingBuffer
  * [#1881] Add availForGet in MainBuffer
  * [#1881] Add availForPut function to MainBuffer
  * [#1880] Remove AudioRTP* pointer from SipVoIP (reapered while
    merging master)
  * [#1881] Add a map between call id and coresponding ring buffer
  * [#1855] Refresh pot file and upload on Launchpad
  * [#1881] MainBuffe now robust to false ids on getData and putData
  * [#1881] Fix big big big memory leak
  * [#1881] Add getData and putData to mainBuffer
  * [#1881] Unit-test basic ring buffer functionnaities
  * [#1881] Add class MainBuffer and basic buffer creation unit-tests
  * [#1880] Fix call transfer (step2) issues
  * [#1880] Moved AudioRtp* pointer from SIPVoIPLink to SIPCall class
  * [#1791] Add postinst script to keep user data when migrating
    config/history file
  * [#1797] Make pjsip compile
  * [#1777] Code indentation
  * [#1791] Use XDG_DATA_HOME and XDG_CONFIG_HOME for sflphonedrc and
    history + unit tests
  * [#1746] Useless space does not appear anymore when volume sliders
    and
  * [#1643] GtkCheckMenuItem is used instead of icons for elements in
    the
  * [#1110] [#1668] STUN parameters are now located in the preferences,
    under

 -- Julien Bonjean <julien.bonjean@savoirfairelinux.com>  Fri, 06 Nov 2009 11:23:15 -0500

sflphone-common (0.9.6-SYSTEM) SYSTEM; urgency=low

    ** 0.9.6 **

  * Documentation on echo test
  * [redmine_down] codec names not displayed in total
  * [redmine_down] crash when hanging up a dialing call because tries to
    add it to history whereas no starttime
  * [#1927] alternate every time screen changed to call history
  * [#1886] clean code
  * [#1886] debug messages when loading history removed
  * [redmine_down] sflphone-kde icons
  * [#1855] Update language files
  * [#1502] Update version number
  * [redmine_down] setHistory at close
  * [#redmine_down] Handle PJ_DECLINE_SC as failure
  * [#1923] Fix segmentation fault when adding a new account
  * [#1923] Check on iterator before setting the config
  * [#1904] Added mnemonic to tabs in sflphone-client-gnome.
  * [#1905] The daemon was not sending the currentSelectedCodec signal
    on dbus when answering a call.
  * [#1922] Default values set to all account details
  * [#1886] Spinbox reg expire enables apply, and address book is not
    visible when disabled
  * [#1905] Bug fix for segmentation fault caused by an empty string,
  * [#1910] Warnings in test directory
  * [#1919] Error fixed
  * [#1855] Update russian translation - Hussein Abdallah
  * [#1910] Remove files
  * [#1919] fixed
  * [#1777] Code indentation
  * [#1918] fixed
  * [#1917] fixed
  * [#1910] Remove warnings compilation in src
  * [#1886] removed AccountListModel in configskeleton
  * [#1914]
  * [#1911] check previous and new port
  * [#1910] Remove compilation warnings in src/dbus and src/history
  * [#1910] Remove compilation warnings in src/audio
  * [1855] Update german translation - Sven Werlen
  * [#1909] removed
  * [#1906] Done
  * [#1904] The registration expire value is now configurable from the
  * Cleaned up debug messages.
  * [#1886] separated initCallItem in two functions
  * [#1886] reversed error in commit
  * [#1886] clean debug
  * [#1886] changed Name of classes and files
  * [#1886] clean
  * [#1870] In call_state_cb (dbus.c:126), _time_stop was overridden by
    the actual time.
  * [#1884] Added some new gpg flags to prevent tty warnings
  * [#1886] Clean audio config dialog
  * [#1886] No more compile warnings. + 1 comm
  * [#1872] Check if the user input is smaller than PJ_MAX_HOSTNAME.
  * [#1886]
  * [#1785] Fixed build when no new commit
  * [#1852] If chosen by the user, the hostname can now be solved and
    used
  * [#1871] * and # inverted back
  * [#1869] Conditional compilation that checks if
  * [#1309] removed test in main
  * [#1425] Put actions in SFLPhone window class instead of ui view,
    made a separate toolbar for screens.

 -- SFLphone Automatic Build System <team@sflphone.org>  Mon, 27 Jul 2009 09:53:00 -0400

sflphone-common (0.9.6~rc2-SYSTEM) SYSTEM; urgency=low

    ** 0.9.6~rc2 **

  * [#1755] Remove generated file
  * [#1753] restore ilbc ...
  * [#1866] Methods getSipPort and setSipPort now have an effect on the
  * [#1753] make pjsip compile without ilbc. Use ./autogen.sh --disable-
    ilbc-codec
  * [#1855] Fix error in russian translation
  * [#1805] Remove the old flawed signal mechanism which was failing in
  * [#1855] Refresh translation
  * Spanish translation finished + po README files updated + echo's in
    copy-in-clients
  * [#1850] Yun made the chinese HK-CN translation
  * [#1848] Fix transfer interface bug
  * [#1862] At install, kde client installs only french translation file
  * [#1841] A new fallback mechanism was added to the internal resolver
    in PJSIP.
  * Started AccountList model/view
  * [#1855] Remove po subdir in Makefile.am
  * [#1855] Fix typo error in sflphone-client-gnome
  * [#1855] Do not generate Makefile in sflphone-common/po
  * [#1855] Copy translation files into both clients dirs
  * [#1855] Remove po dir from sflphone-common
  * Comments added
  * [#1860] mailbox->voicemail...
  * make scripts executable
  * [#1855] French translation
  * [#1855] Chinese zh_HK partially filled...
  * [#1859] An unnamed pipe monitored by poll() was added. When we want
    to
  * [#1855] Sven completed the first part of the german translation
  * [#1855] Cantonese manually filled for already translated, almost
    equal strings
  * [#1855] Merge russian translation
  * [#1855] Spanish manually filled for already translated, almost equal
    strings
  * [#1855] Update german translation in ./lang/de
  * [#1858] This problem was fixed by removing a useless line in
  * [#1855] merged existing translations in lang/ sflphone.po's
  * [#1842] [#1843] An attempt at improving the expected behaviour that
    can't
  * [#1855] added po folder in gnome client and scripts for copying from
    common lang folder to clients
  * [#1853] Edit before call does nothing on call history
  * Put most language entries possible in common. From 300 to 250
    entries. Stays underscores problem. Scripts for copy in clients.
  * commit to merge master
  * [#1825] Changed "Bad authentification" to "Authentication Failed".
  * common po files
  * [#1753] Remove ILBC from pjproject

 -- SFLphone Automatic Build System <team@sflphone.org>  Fri, 17 Jul 2009 19:12:44 -0400

sflphone-common (0.9.6~rc1-SYSTEM) SYSTEM; urgency=low

    ** 0.9.6~rc1 **

  * Update some version number
  * [#1792] Creates .sflphone directory with permission 600. Also,
    "chmod 600" after
  * [#1810] GUI is now notified that the call failed. Also, a segfault
    was
  * [#1816] Address book search disabled when disabled address book and
    enabled it back plus button stays triggered
  * codeclistmodel + asynchronous loading of address book +
    enable/disable address book
  * [#1810] Now checking SDP answer after 200 OK. Still need to
    implement full
  * [#1794] Can't use the interface during a call
  * Updated translation files
  * Russian translation integrated
  * Codec list model/view started.
  * [#1807] Add configure.ac in pjproject-1.0.3
  * [#1787] closeRtpSession added in some places where it should have
    been
  * Use Item class for contacts and accounts
  * Comments + clean code
  * [#1794] Improved debug messages
  * [#1805] Replaced the old and unreliable mecanism that was was
    waiting for
  * [#1794] Can't use the interface during a call
  * [#1787]  For those cases where no registered SIP account is
    configured
  * [#1797] Make pjsip compile
  * [#1787] Minor changes. Removed useless commented line. Changed order
    of
  * [#1777] Code indentation
  * [#1797] Update package generation with new pjsip version
  * [#1798] Does not hang up when the call is building up
  * [#1797] Update .gitignore with new pjsip version
  * [#1797] Remove generated files from repo
  * [#1797] Main build system now uses pjproject-1.0.3
  * [#1797] Add pjproject-1.0.3
  * [#1797] Remove pjproject-1.0.2
  * [#1796] Computing time optimization (samplerate conversion)
  * [#1787] _audiortp->start() moved away from offhold(),
    SIPCallAnswered()
  * [#1312] Added new states for calls initialized by other clients
  * [#1795] Crashes when adding a new account, checking it and applying
  * [#1782] Missing icons
  * [#1793] KDE client compilation problem
  * Fake ringtone files can no longer be set.
  * indentation
  * [#1312] Able to fetch to differentiate incoming/ringing call state
  * [#1784] Use DESTDIR variable in po Makefile - fix language file
    installation
  * [#1785] Fixed typo
  * [#1785] Fixed changelog update
  * [#1759] ./autogen.sh --prefix=/usr --with-debug to use optimization
    level 0
  * [#1773] Changed snapshot naming convention
  * [#1773] Removed gpg agent use, added repository cache cleaning
  * [#1759] Use optimization level 0 for repository, 2 for packages
  * [#1777] Code indentation/formatting
  * Translated new features in french
  * [#1785] Added missing changelog entry
  * [#1781] Window title is SFLPhone
  * [#1777] Add code indentation/formatting in the buil system
  * [#1774] Can't set voicemail number in KDE account creation wizard
  * [#1775] Can't modify account information for account created with
    the wizard
  * [#1771] Add a "Default" button in context menu to disable chosen
    prior account
  * [#1705]
  * [#1224] Remove generated file from the repo
  * [#1224] Remove generated file from the repo
  * [#1762] distclean target should remove kconfig generated files
    (settings.h, settings.cpp). Rename them?
  * [#1761] clear history button should really clear history
  * Dialpad works.
  * Implemented Dialpad widget instead of building it in main view.
  * Removed last occurence of the old config dialog, that made the build
    crash.
  * [#1755] Do not consider G722 as a dynamic payload elsewhere than in
    RTP layer
  * [#1753] Remove ilbc Makefile generation
  * [#1756] Implement a kde configuration dialog with kconfig xt and
    kconfigdialog class
  * [#1755] fix audiocodec folder parsing problem
  * [#1450] Reinit timestamp comparison in RTP, create session in
    newOutgoingCall
  * [#1753] Remove milenage third party code from pjsip
  * New Config Dialog integrated in GUI.(without codecs)
  * [#1753] Remove ILBC codec
  * kconfig started, tr2i18n -> i18n, icons folder, accountList changed
  * [#1705] Fixed Audio RTP thread creation/start
  * [#1714] Fix codec negociation result handling
  * [#1678] Fix audiortp payload setting
  * [#1678] Put bac putData method in rtp
  * [#1669] gtk_file_chooser_get_filename() support UTF-8 by default
  * [#1735] Add conditions to sdp update call if call declined
  * [#1737] substr of recordings destination folder to remove "file://"
    should be done in client rather than in daemon
  * [#1731] Enlarge audio stream buffer size
  * [#1714] Missing true
  * [#1317] Fixed Mandriva timeout
  * [#1317] Changed tag convention
  * [#1317] Cleaned git-dch

 -- SFLphone Automatic Build System <team@sflphone.org>  Fri, 10 Jul 2009 15:49:56 -0400

sflphone-common (0.9.6~beta-SYSTEM) SYSTEM; urgency=low

    ** 0.9.6~beta **

  * spec files for mandriva and opensuse updated with buildrequires
    libqt4-dev >=4.3
  * [#1700] Cannot build on ubuntu 8.10 and a few other distribs
  * [#1502] Update version number where applicable
  * [#1642] Update client icons
  * [#1450] Clean up useless debug and comments in sipvoiplink and
    audiortp
  * [#1450] Remove Semaphore object in AudioRtp thread deletion
  * [#1450] Audio RTP init now synchronized with Sip/SDP
  * [#1693] kde client crashes when changing codecs order/activation
  * [#1450] Deep refactoring of audiortp
  * [#1450] setRtpSessionRemoteIp
  * [#1689] getCallList at start
  * [#1224] Change path in package files
  * [#1450] Audio RTP initialized only once, payload and remote ip set
    at runtime
  * [#1450] Add setRtpSessionMedia and setRtpSessionRemoteIp address
  * [#1642] Make GNOME GUI fresher and younger ;)
  * [#1686] Status bar displaying used account
  * added sflphone-kde icon so that it compiles
  * [#1659] Ending a call causes the daemon to crash
  * corrected introspection XMLs, po files...
  * [#1211] g722 media descriptor in codecDescriptor
  * [#1310] Install sflphoned in $(prefix)/lib/sflphone
  * [#1502] Do not install test binaries and dbus utilitaries
  * [#1224] hack for pjsip build system!
  * [#1224] Remove pjsip binaries from repo
  * [#1224] Upgrade to pjsip 1.0.2
  * [#1658] About SFLphone (bugs)
  * [#1658] About SFLphone
  * [#1660] Displaying all dialed numbers in a call
  * Tested status bar.
  * [#790] Optimize pulse audio streams parameters
  * [#1678] Some usefull debug messages for mutex/semaphore deadlock
    problem
  * [#1669] Add/remove some usefull/unusefull debug
  * [#1665] Fix latency related to pulse audio stream openning/closing
  * [#1457] Make the menus and panels accessible in french
  * [#1457] Improve broken keyboard accessibility in menus and conf
    panels
  * [#961] Instanciate only once the searchbar icons
  * [#961] Restore transfer fonction
  * [#961] Filter on the history type OK
  * [#961] Fix compilation problems on hardy/intrepid
  * [#1157] Commit missing files
  * [#790] Reduce number of start/stop streams call on pulse audio
  * [#1639] kde client crashes when no account registered
  * [#1620] Fix the searchbar
  * [#1620] Get back caltree as it was during gtkcritical area
  * [#1620] Add history filter reinit function
  * [#1335] Add a missing label in address book preferences
  * [#1561] Update russian translation - Hussein Abdallah
  * [#1605] Fix edit menu french translation
  * [#961] Enable to search in the history according to the call type
  * [#1449] Searchbar does not work anymore
  * [#961] Add popup menu on the entry primary icon for history
  * [#1317] Fixed KDE client package dependency
  * [#936] speex 32 khz integration completed
  * [#936] Use 320 frame size
  * [#936] Test using a frame size at 320 smpls
  * [#1214] Enable / Disable history
  * [#1607] Fix compilation problem for ubuntu 8.10 (libsexy)
  * [#1313] Implement processDataEncode processDataDecode in audiortp
  * [#1613] codec list order can't be set
  * Better handling of localisation + added languages + corrected
    warnings + begginning of new config dialog with kconfig + 14px
    account leds
  * [#1214] Save and load history according to the limit timestamp +
    unit tests
  * [1609] Fix call number copy/paste feature
  * [1607] Restore clear action icon in searchbar
  * [#936] Try to decode using 1280 samples
  * [#936] Add some debug
  * [#936] Add .cpp file
  * [#936] Oops Forgot speex 32 khz
  * [#1214] Add configuration panel for history + D-Bus calls
  * [#1313] Test rtp thread function, frame size, nbbytes, resampling
  * [#790] Flush audio data before closing audio streams
  * [#1214] History displays local time
  * [#1214] Skip empty field on display
  * [#1214] Associate an account to an history entry
  * [#1342] Get addressbook options sensitive/non-sensitive
  * [#1211] Clean up and comments
  * [#1211] Get back to 20 ms framesize
  * [#1211] Use sendImmediate instead of putData in RTP
  * [#1211] Fix nb byte available in RTP
  * [#1211] Clear condition on maxNbSamples in RTP
  * [#1211] Fix max byte available in RTP session
  * [#1211] G722: Use 160 samples per frame instead of 320
  * [#1211] Test using a dynamic payload
  * [#1211] Test using a dynamic payload type
  * [#1211] Rename size variable (nb_samples, nb_bytes)
  * [#1211] Test g722 ip-to-ip sending twice the data lenth
  * [#1211] Test g722 ip-to-ip
  * [#1214] Do not select an history item by default at startup
  * [#1214] Remove some compilation warnings
  * [#1214] Handle empty field - remove g_print
  * [#1214] Add each history item only once
  * [#1214] Handle call timestamps properlier
  * [#1214] Do not need timestamp files anymore
  * [#1214] Use the saved date for history entry
  * Clean up
  * [#1214] Client doesn't crash if the D-Bus call fails
  * [#1214] Client is able to save its history - still some glitches
  * [#1211] Forgot 16000 for g722
  * [#1211] G722 initialization
  * [#1214] Save name/number, successfully load the history if no fields
    are empty
  * [#1499] Fixed destination directory bug
  * [#1214] Restore all the functionalities; peer name/number way more
    easy to handle !!
  * [#1214] Add callable_object instead of call_t, refactoring
  * [#1211] Test with polycom soundstation 16000
  * [#1211] Remove C like inline function in g722 codec
  * [#1342] Finalize gnome client preference window formating
  * [#1214] Retrieve the history when the gnome client startsup
  * [#1306] Implement localization for KDE client
  * [#1593] enable accounts apply button when account checked/unchecked
  * [#1214] Implement the dbus calls on server side
  * [#1214] Add serialized/unserialized functions to pass data on DBUS
  * [#1342] Formating gnome client configuration windows
  * [#1214] Save sucessfully a map of history items
  * [#1499] Removed multiple jobs compilation for KDE client (2)
  * [#1214] Load history from file into memory, add unit tests
  * [#1534] Throws a length_error exception in case URL exceeds
    std::string max_size
  * [#1499] Removed multiple jobs compilation for KDE client
  * [#1565] make account leds smaller
  * [1430] Fix dbus debug
  * [#1562] crashes when trying to change item of a call of state "OVER"
  * [#1116] Fix compilation bug
  * [#1317] Added mandriva and opensuse-11 64 bits
  * [#1108] Add messges in main window concerning transfer success
    failure
  * [#1116] Fix compilation problems
  * [#1211] g722 Makefile
  * [#1108] Client side transferFailed/trasferSucceded signals handling
  * [#1211] G722 mostly completed,
  * [#1555] make bigger toolbar (24x24)
  * [#1551] remove default mailbox number in wizard and disable mailbox
    button when first account doesn't have mailbox number
  * [#1342] Re-add sflphone manpages
  * [#1116] Fix compilation on non-jaunty distros
  * [#1317] Fixed opensuse startup sleep
  * [#1108] Add a signal in the client to notify successful or failed
    transfer
  * [#1108] Dbus signals concerning call transfer success/failure
  * [#1317] Added opensuse to automatic build system
  * [#1223] Fix manpages bug
  * [#1060] german translation glitch
  * Clean up some gnome client warnings
  * [#1547] replace ugly account leds by beautiful icons
  * [#1548] add close button that hides windowand just hide on clicking
    the cross
  * [#1549] put introspec XMLs in the client's source
  * [#1312] Implement getCallList D-BUS method
  * [#1116] Clear text in history and contacts
  * [#1499] KDE integration
  * [#1469] Modify header linkers in dbus-c++'s Makefile.am's
  * [#1469] Remove examples folder from dbus-c++
  * [#1214] History integration in build system; unit test squeleton
  * [#1317] Cleaning
  * [#1469] Remove configure stuff in dbus-c++
  * [#1469] Add unofficial mainline dbus-c++
  * [#1469] Remove dbus-c++ from freedesktop
  * [#1430] Bring account changed signal/callback back to normal
  * [#1060] Update german translation - Sven Werlen
  * [#1430] Add marshaller one string define
  * [#1430] Send account change signal broadcast using account id
  * [#1430] Remove condition on setRegistrationState, cause stun to
    crash
  * [#1317] Centralized version handling
  * [#1317] Fixed version number on sfl-git-dch
  * [#1317] Refactoring for new distributions
  * [#1215] Fix account order at startup if latency
  * [#1088] Restore sip dns srv
  * [#1214] Add squeleton for history manager
  * [#1430] Add accout id to accout changed method
  * [#1430] No connectionStatusNotification (account changed) if no
    changes
  * [#1538] Add COPYING file
  * [#1430] Add audio rtp thread tests
  * [#1317] Changed version detection
  * [#1538] Document license in libs/stund
  * [#1317] Added version files
  * [#1538] Apply François patches - debian packages
  * [#1317] Updated spec files
  * add files
  * [#1538] Apply François patches - debian packages
  * [#1535] Change program file structure (directory src...)
  * [#1317] Updated build system scripts
  * [#1317] Cleaning
  * [#1317] Copied introspect files to gnome client
  * [#1317] Added opensuse to build-system : first-shot
  * [#1317] Remove spec files from configure
  * [#1317] Added missing prefix
  * removed debug for daemon account fix
  * [#1430] Add a connection reference which most likely belong to
    libdbus
  * [#1430] Use shared connection instead of private
  * make daemon find the account, added userMatch
  * Clean code, add comments...
  * [#1317] Fixed packaging rules
  * [#1317] Updated autogen
  * Updated autogen.sh for pjsip
  * [#1526] Set accounts order
  * [#1317] Fixed pjsip lib dirs
  * [#1317] Updated debian packaging for new pjsip configuration script
  * [#1317] Switch to autogenerated guess and sub files
  * [#1317] Updated pjsip inclusion in build system
  * [#1317] Replaced pjsip guess and sub files
  * [#1317] Fixed compilation issues on opensuse 11
  * [#1505] account list seem to crash the application when clicking
    Apply very fast...
  * [#1456] Add a flag to be replaced in the control files
  * [#1456] Added version dependancy handling
  * put account alias in AccountWidgetItem rather than in the item with
    "    " before.
  * [#1034] The KDE client should start sflphoned if it is not started
  * [#1500] Handle options for notifications and display on incoming
    call.
  * [#1443] Client should not crash when receive an unexpected
    stateChanged signal
  * [#1403] Do not stop the notification anymore
  * [#1456] Added version dependancy handling
  * [#1426] Daemon crashes when get alsa plugin
  * [#1422] Improved error messages
  * commit for merge
  * [#1424] Change logo in tray icon and put a different one when
    incoming call
  * [#1425] first part done, window title...
  * [#1413] add manpages creating and installing in build system
  * [#1417] The client should start the account creation wizard if
    started for the first time (if config file doesn't exist)
  * [#1421] Make volume bars horizontal when dialpad is hidden.
  * Changed main window title and fixed a mistake in sflphone_const.h
  * [#1412] make debian package building work
  * changelog changed.
  * Changed addAccount method in gnome client.
  * Debian and man folders added.
  * [#1388] Change project name from sflphone_kde to sflphone-client-kde
  * Better handle of kabc check.
  * [#1351] Automatic generation of dbus interfaces in makefile
    generated by cmake
  * [#1307] Implement "edit before call" in history and address book.
  * [#1344] change action_call label in call history from "call" to
    "call back".
  * [#1308] Implement Hook feature in kde client
  * Improved build system.
  * #1219 : Add address book configuration page
  * Better handling of registration to the daemon.
  * #1039 : Add tray icon in kde.
  * Issue no 1216 : Double click on item in history or address book
    causes call.
  * display peer name in call list and call history when called from
    address book.
  * Address book functionnal with photo displayed.
  * Help menu kde available but actions disappeared. All fonctions in
    view.
  * Address book functionnal but ugly and making its own sort in the
    complete address book.
  * Account choice on right click, clean out includes, page address
    book, fixed bugs...
  * Wizard, double click, context menu...
  * Removed sflphone_kde.kdevelop.filelist
  * Added account creation wizard and translated interface in english.
  * Transfer functionnal but ugly.
  * transfer not functionnal
  * Bug fixed : unholding (UNHOLD_CURRENT, UNHOLD_RECORD)
  * Commit functional for push. With install.sh
  * Before merge.
  * Problem with enable accounts. Account display increased.
  * Functional with codec order working , playDTMF.
  * Commit functional.
  * sflphone_kde/build added in .gitignore.
  * complete commit for checkout previous.
  * Commit before checkout previous version to check the display
    bug(little font everywhere...)
  * Functionnal client. Rest : history icons, config icons and
    functionalities
  * commit before merge asavard for isRecording.
  * Call and Automate fusion done and seems to work.
  * Commiting before putting Automate class in Call class.
  * Functionnal main window without recording, history, voicemail, kio
    widgets.
  * client kde avec kdevelop.
  * Config Dialog almost finished.
  * Base of QT client

 -- SFLphone Automatic Build System <team@sflphone.org>  Tue, 23 Jun 2009 11:12:06 -0400

sflphone-common (0.9.5-SYSTEM) SYSTEM; urgency=low

    ** 0.9.5 release **

  * [#1060] FIx bug in chinese translation
  * [#1313] git add rtpTest.cpp rtpTest.h
  * [#1313] Add init/close rtp tests
  * [#1313] Basic instanciation of the rtp layer
  * [#1449] Gtk-Critical concerning history filters and new calls
  * [#1400] Make the match with the hostname instead of username
  * [#1324] Change status bar label for "Using %s (%s)"
  * [#1403] Icon size: 60x60 px
  * [#1403] Do not remove notification, improve icon quality
  * [#1403] Add smaller icon for gnome notifications
  * [#1403] Prevent crash when hangup && no notification
  * [#1403] Remove all actions on notifications; code refactoring
  * [#1451] Use stun.sflphone.org as default STUN server
  * [#1060] New po files - need to be translated
  * [#1060] Update french translation - Rebuild template file
  * [#1456] Add a flag to be replaced in the control files
  * [#1454] Make cppunit optional; remove from build deps in control
    files
  * [#1401] Add libexpat1-dev dependency in control files
  * [#1448] Take off these ugly debug messages
  * [#1448] fixed getTelephoneTone and getTelephoneFile() called
    repeatedly
  * [#1406] add liblog4c-dev in build-depends
  * [#1409] Restore .desktop icon

 -- SFLphone Automatic Build System <team@sflphone.org>  Mon, 25 May 2009 11:34:40 -0400

sflphone-common (0.9.5-SYSTEM~rc2) SYSTEM; urgency=low

    ** 0.9.5 rc2 **

  * [#1422] Improved error message
  * [#1402] Fix pjsip build
  * [#1404] Clear GTK-Critical Bug at client startup
  * [#1422] Added automatic VM shutdown when building on more than one
    VM
  * [#1422] Fixed some issues with new changelog generation script
  * [#1422] Moved distribution update to specific file
  * [#1422] Dropped git-dch, replace by home made implementation
  * [#1402] Fix pjsip build
  * [#1404] Clear GTK-Critical Bug at client startup
  * Changes for name based dbus connection
  * Clean changelogs
  * [#1343] Gnome: Implement a callback system to handle focus on
    different widgets
  * Debus Session
  * Refactoring Python code, PEP8
  * [#1430] Get back dbus_g_proxy_new_for_name
  * [#1430] Get back DBUS_BUS_SESSION type
  * [#1430] Dbus fixed owner message binding
  * Second test with DBUS owner
  * [#1404] Gnome -> Preferences -> Hooks
  * [#1404] Gnome -> Preferences -> Recordings
  * [#1404] Call History
  * [#1404] Gnome -> Preferences -> Address Book
  * [#1404] IF the first notification option disable the second
    notification
  * Dbus with fixed owner does not automatically start the deamon
  * Add codec debug tests in pysflphone
  * [#1407] Some print info
  * [#1407] Add a scenario to pick_up action
  * Test client dbus connection to a fixed owner
  * Add python dbus test suite
  * [#1161] Modified version handling in build system
  * [#1314] Test pulse audio and audio streams connect and disconnect
  * [#1402] Add info message after configure
  * [#1402] Build the daemon with the local pjsip library (vs the
    installed one)
  * [#1009] Fix Codec Sampling Rate set to zeros
  * [#1314] Add mutex to pulse layer audio streams
  * [#1314] Refactoring pulseaudio stream to test connect disconnect
  * [#1314] Refactoring of pulselayer to test conect/disconnect
  * Add debug messages in debus calls concerning account
  * [#1314] Add some return values to audio init functions
  * [#1406] add liblog4c-dev in build-depends
  * [#1409] Restore .desktop icon
  * Bug #1405: Fix strings as requested.
  * Bug #1404: Fix strings in preferences panel.

 -- SFLphone Automatic Build System <team@sflphone.org>  Tue, 19 May 2009 12:08:03 -0400

sflphone-common (0.9.5-0ubuntu1~rc1) SYSTEM; urgency=low

  [ SFLphone Project ]
  * [#1262] Updated changelogs for version 0.9.5-0ubuntu1 Snapshot 2009-
    05-05

  [ Emmanuel Milou ]
  * Add some python CLI client code; not really functional
  * [#1108] Fix peerHungup method for IP to IP call

  [ Alexandre Savard ]
  * [#1108] Correct setting of SIP contact for direct IP call
  * [#1108] SIP user agent handles incoming REFER

  [ Emmanuel Milou ]
  * Remove website from repository
  * Update translation

  [ Alexandre Savard ]
  * Sflphone icon's tooltip changed for "configured" instead of
    "registered"

  [ Emmanuel Milou ]
  * Update translation

  [ Sflphone Project ]

 -- Sflphone Project <sflphone@mtl.savoirfairelinux.net>  Tue, 05 May 2009 19:16:09 -0400

sflphone-common (0.9.5-0ubuntu1~beta) SYSTEM; urgency=low

  [ Julien Bonjean ]
  * Updated Eclipse stuff
  * Improved addressbook config window
  * Added sflphone Eclipse stuff
  * Implemented addressbook list server side
  * Moved dbus stuff in dbus directory
  * Updated addressbook configuration

  [ Emmanuel Milou ]
  * Remove unuseful installation scripts. Use apt-get build-dep sflphone
    instead
  * fix bug #1090

  [ Alexandre Savard ]
  * defining speex 16khz

  [ Emmanuel Milou ]
  * Remove unuseful file from build system
  * Start dns srv resolver

  [ Alexandre Savard ]
  * Basic ogg/vorbis initialization

  [ Emmanuel Milou ]
  * Handle incoming IP-to-IP invite correctly

  [ Alexandre Savard ]
  * speex wideband 16000

  [ Emmanuel Milou ]
  * Better handling of incoming IP to IP call
  * DNS SRV resolution functional
  * Implement IAX2 incoming URL
  * Allow user to make IP call without any accounts configured
  * Add a contextual menu to edit a number from the contacts tab
  * Add comments, tooltip and new button to the contextual menu
  * add delete event, migrate to GTK 2.16 for sexy icons
  * Resolve ticket #1118
  * Update suse spec file
  * Add phone number cleanup functions, unit tests and panel
    configuration
  * Add pertinent test that fails
  * fix dependencies for suse package
  * Add contextual edit menu in history - #1120

  [ Alexandre Savard ]
  * Temporary comit: make speex wideband (16 khz)
  * Temporary: shared object for speex narrow band
  * Temporary: speex narrowband and wideband coexist

  [ Julien Bonjean ]
  * Fixed bug when no book selected
  * Fixed addressbook related compilation warnings
  * Fixed GTK client remaining compilation warnings
  * Fixed segfault when book removed since last sflphone run
  * Fixed bug when book is unreachable (ldap error)

  [ Alexandre Savard ]
  * Fix codec list in audio config window
  * Active/inactive speex codec by payload

  [ Julien Bonjean ]
  * Updated gitignore
  * Added some comments

  [ Emmanuel Milou ]
  * Add callto: handler script for browsers and al.
  * Integrate test compilation in the daemon build-system

  [ Julien Bonjean ]
  * Fixed g_object_unref warning for pixbuf
  * Cleaned too verbose output
  * Fixed toolbar update warning
  * Added support for asynchornous books open (first shot)

  [ Emmanuel Milou ]
  * Add a DBus call to fetch the call details from a call ID - Ticket
    #928

  [ Julien Bonjean ]
  * Improved async open books
  * Fixed bug #1139

  [ Emmanuel Milou ]
  * Add a way to save account order
  * commit missing files

  [ Julien Bonjean ]
  * Introduced log4c (ticket #1162)

  [ Emmanuel Milou ]
  * Load/save account order functionnal - ticket #813

  [ Alexandre Savard ]
  * Add CELT codec (#1143)
  * Make celt frame size 256  (*1143)

  [ Julien Bonjean ]
  * Switched everything to log4c (ticket #1162)
  * Updated eclipse settings

  [ Emmanuel Milou ]
  * Restore adding account - ticket #1172
  * Add liblog4c dependecy - ticket #1179

  [ Alexandre Savard ]
  * Double maxAvailByte for frame size in rtp (#1143)

  [ Emmanuel Milou ]
  * Add User-Agent SIP header - Ticket #1173

  [ Julien Bonjean ]
  * Fixed autoresize issue (#708)

  [ Emmanuel Milou ]
  * Remove libcppuint dependency for the debian packages
  * Look for libsexy only if gtk version < 2.16 - Ticket #1116
  * Remove libsexy dependency for jaunty. ticket #1116

  [ Julien Bonjean ]
  * Introduced unit tests (#1146)
  * Updated gitignore
  * Fixed Makefile (#1146)

  [ Emmanuel Milou ]
  * [TICKET #1112] Add a test on the voice buffer to send through iax
    packets
  * Remove doublon in dependencies
  * Remove warnings from the client test framework
  * Update version number to 0.9.5~beta
  * Update build-package script
  * Add check dependency in build-deps control file field
  * Create debian files for the new sflphone-client-gnome
  * [TICKET #1212] Add Replaces field in control files
  * [TICKET #1212] Fix manpages installation path
  * [TICKET #1212] Add maintainer scripts to create alternatives
  * [#1212] Update the manpages generation - edit preinst maintainer
    script
  * [#1212] Fix reference error in manpage
  * [#1212] Add missing files on the client side
  * [#1212] Fix debian docs files - no TODO file
  * [1212] Fix manpage creation problem
  * [#1220] Generate client-side glue files and marshaller at
    compilation time
  * [#1220] Generate server-side glue files at compilation time
  * [#1212] Change binary name to sflphone-client-gnome
  * [#1212] Update .gitignore to fit the new working tree
  * [#1220] Explicitly generate glue files before building the library
  * [#1220] Compile dbus directory before audio
  * [#1212] Create sflphone-common at the root of the repository
  * [#1212] Re-add pjproject
  * [#1212] Remove Makefile from repo
  * [#1220] Fix Makefile.am
  * [#1212] New working directory functional
  * [#1212] Update .gitignore
  * [#1212] Hack to make pjsip compile..
  * [#1220] Use non-installed binary for dbusxx-xml2cpp
  * [#1212] Add descriptive files, remove unuseful scripts from tools/

  [ Alexandre Savard ]
  * Restore speex codecs
  * add frame size for celt (#1143)
  * add framesize to codec, independant from audiolayer (#1143)
  * use codec frame size in rtp (#1143)
  * compute fixed_codec_framesize (#1143)
  * do not resample if not required (#1143)
  * add condition on resampling for decoder (#1143)
  * add a condition on bytesAvail == 0 from mic data
  * no maximum in rtp decode (#1143)
  * compute maximum for decoding (#1143)

  [ Emmanuel Milou ]
  * [#1146] Implement unitary tests on the client-side

  [ Alexandre Savard ]
  * use float instead of int to compute max nb of sample (#1143)
  * add nbSampleMax for unresampled data (#1143)
  * make thread sleep during 5 ms insead of 20 (#1143)
  * use unix usleep (#1143)
  * 50 usecond thread!!!!! (#1143)
  * try with the smallest compression (#1143)
  * use timer set at framesize (#1143)

  [ Emmanuel Milou ]
  * [#1161] Restore changelog version

  [ Alexandre Savard ]
  * Remove celt stuff

  [ Emmanuel Milou ]
  * [#1161] Update changelog
  * [#1220] Add Conflicts: sflphone in debian control files
  * [#1179] Add liblog4c3 runtime dependency
  * [#1212] FIx typo error in dependency list for itnrepid
  * [#1212] FIx .desktop file to point on the right exec
  * [#1212] Modify changelog replacing tag

  [ Sflphone Project ]
  * "[#1262] Updated changelogs for version 0.9.5-0ubuntu1~beta"

  [ Emmanuel Milou ]
  * [#1212] restore changelogs

  [ Sflphone Project ]
  * [#1262] Updated changelogs for version 0.9.5-0ubuntu1 Snapshot 2009-
    04-27

  [ Emmanuel Milou ]
  * [#1212] restore changelogs

  [ Sflphone Project ]
  * [#1262] Updated changelogs for version 0.9.5-0ubuntu1~beta

  [ Emmanuel Milou ]
  * [#1212] restore changelogs

  [ Sflphone Project ]

 -- Sflphone Project <sflphone@mtl.savoirfairelinux.net>  Mon, 27 Apr 2009 16:57:00 -0400

sflphone-common (0.9.4-0ubuntu2) SYSTEM; urgency=low

  [ Alexandre Savard ]
  * Restore speex and GSM detection

  [ Emmanuel Milou ]
  * Fix bug #1090

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Wed, 8 Apr 2009 11:29:15 -0500

sflphone (0.9.4-0ubuntu1) SYSTEM; urgency=low

  [ Emmanuel Milou ]
  * Integrate DBus-c++ and libiax2 in the main build system
  * Clean up in the working repository
  * Reorder hooks configuration panel
  * Protect case when no codecs are active
  * Fix some return values
  * Add unitary tests for the hook manager (premisces)

  [Yun Liu]
  * Update chinese translation

  [Sven Werlen]
  * Update german translation

  [Hussein Abdallah]
  * Update russian translation

  [Maxime Chambreuil]
  * Update spanish translation

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Fri, 3 Apr 2009 18:29:15 -0500


sflphone (0.9.4-rc1) SYSTEM; urgency=low

  [ Emmanuel Milou ]
  * Fix bug while trying to hold/unhold several simultaneous call
  * Improve address book build system
  * Implement SIP url popup on incoming call
  * Improve GTK+ panel configuration
  [ Julien Bonjean ]
  * GTK+ client refactoring
  * GTK+ clean up
  * Address book improvment

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Fri, 27 Mar 2009 18:29:15 -0500

sflphone (0.9.4-0beta1) SYSTEM; urgency=low

  [ Alexandre Savard ]
  * Display codec used during conversation on the GUI
  * Enable/disable STUN parameters at runtime
  * Refactor search bar use
  [ Emmanuel Milou ]
  * Build system fixes
  * Implement SIP re-invite
  * Implement IP to IP call
  [ Julien Bonjean ]
  * Integrate GNOME address book based on evolution data server

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Fri, 20 Mar 2009 18:29:15 -0500


sflphone (0.9.3-0ubuntu3) SYSTEM; urgency=low

  [ Alexandre Savard ]
  * Both playback and record streams in PA_STREAM_CORKED (pulseaudio)
  * Use PLUGHW device for ALSA capture
  * Functional IAX and SIP recording for voicemail
  * Use the less CPU-consuming interpolator algorithm for resampling
  * Display in GTK GUI the codec used in conversation
  * GTK GUI use ASCII instread of utf-8
  * Add record menus in GTK GUI
  * Put on hold when dialing a new number
  * AccountID's are saved in the history

  [ Emmanuel Milou ]
  * Integrate DBUS C++, libiax2 in the git repository
  * Update website
  * Use libspeexdsp only if available on the system
  * Updated .gitignore file

  [Cyrille Béraud]
  * Account assistant manager improvment
  * Add an email request when creating a new account to receive voicemails

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Sat, 14 Feb 2009 13:29:15 -0500

sflphone (0.9.3-0ubuntu2) SYSTEM; urgency=low

  [ Emmanuel Milou ]
  * Add compilation note in README
  * Use default ALSA plugin for capture
  * Fix the ALSA capture problem one more time
  * Clean up debug messages in dbus.c
  * Add libspeexdsp dependency
  * Remove implicit declaration compilation warnings
  * Fix links in the website, add release note
  * Change capture for the website front page
  * Add alsa devel dependency in build-depends control file field
  * Clean up, indentation, try to handle latency problems in iax/pulseaudio
  * Remove pjsip generated files from the repo
  * Use the previous declared curAlias function in accountwindow
  * Fix bug in history call duration when the call fails
  * Remove runtime warning in the GTK+ client
  * Add librsvg2-common dependency to load SVG under KDE
  * Refresh .gitignore
  * Update locales files + french translation
  * Add configuration panel for future noise reduction
  * Add configuration panel for audio record module
  * Daemon less verbose; accounts don't try to access STUn options anymore
  * Fix typo in configwindow
  * Add content in the official website
  * use a GTK_STOCK icon for the record button
  * Complete description text in the assistant manager
  * Add libtool flags in client configure.ac
  * Remove unuseful dependency (snd)
  * Fix SIP transfer problems
  * Remove previous version of PJSIP from the repo
  * Upgrade PJSIP to version 1.0.1
  * Add the new website source in the repository
  * Use libspeexdsp for silence detection only if available

  [ Loïc Faure-Lacroix ]
  * Ajout du logo gpl3
  * Ajout des images
  * Ajout de la section screenshot pour le site
  * Ajout du favicon dans le header
  * Modification des cartes

  [ Alexandre Savard ]
  * Clean up <speex/libspeexdsp>
  * Small cleanup
  * Save Wave fixed
  * Fix new call button when recording
  * libspeexdsp added
  * Recording: default home folder at startup
  * Minor changes to config window
  * IAX recording fixed
  * Set / get recording path, still need some GTK for client
  * AudioRecord file name format
  * Now recording in HOME folder

  [ Cyrille Béraud ]
  * Fix bug in reqaccount.c

  [ Maxime Chambreuil ]
  * Update spanish translation

  [Yun Liu ]
  * Update chinese translation

  [ Hussein Abdallah ]
  * Update russian translation

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Sat, 14 Feb 2009 13:29:15 -0500

sflphone (0.9.3-0ubuntu1) SYSTEM; urgency=low

  * Remove debug
  * Join thread before leaving
  * Fix implicit declaration in reqaccount
  * Add REST code to build the request to server
  * Fix GValue initialization warnings
  * Update version number, fix implicit declaration, fix GTK markup
    warnings
  * Apply patch to create custom SIP account from our own server

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Fri, 06 Feb 2009 19:17:32 -0500

sflphone (0.9.2-2ubuntu9) SYSTEM; urgency=low

  [ Alexandre Savard ]
  * Speex audio codec preprocessing initialization
  * peer hung up segmentation fault solved
  * Stop recording when transfering
  * Terminate only one call
  * Add isRecording() function
  * Fix call_icon GTK client
  * Fix SIPCallClose() function, recorded file now close properly
  * Function terminateSIPCall added in sipvoiplink and managerimpl
  * Fix thread destructor
  * setRecordingOption function implement in audiorecord
  * Record now implemented in Call class
  * Record interface complete (on hold erase previous recording)
  * Added recButton in client
  * Added: record button related icons
  * Record button added
  * Overload AudioRecord::recData to get mic and speaker data mixed
  * Recording now in audiortp::run() method
  * Audio recording working in AudioRTP: receiveSessionForSpeaker
  * Open/close a wave file when pulse audio stream start/stop

  [ Emmanuel Milou ]
  * Fix path for GTK+ icons; clean up

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Thu, 05 Feb 2009 18:27:53 -0500

sflphone (0.9.2-2ubuntu8) SYSTEM; urgency=low

  [ Emmanuel Milou ]
  * Update changelogs
  * Fix bug in merge and in Makefile.am
  * Terminate only one call
  * Disable PJsip shutdown when changing STUN parameters
  * Function terminateSIPCall added in sipvoiplink and managerimpl
  * Add a timer to the alsa thread to not jam the CPU load
  * Fix bug in sipvoiplink.cpp
  * Clean shutdown of pulseaudio on quiting
  * Fix DTMF at first start with Pulseaudio
  * Remove zeroconf from the build system
  * Add a library manager + exception handling
  * Clean up in the working directory
  * Better handling of capture XRUNs
  * Restore mic adjust volume on ALSA layer
  * Protect device ALSA operation if not opened
  * Fix the switching layer bug
  * Use dynamic_cast<> to use audiolayer-specific methods
  * Open the audio devices only once at startup
  * Refactoring of the ALSA part
  * Functional plug-in manager
  * Use a C++ thread to handle tones and DTMF in ALSA
  * Restore IAXVoIPLink, restore Mutex
  * Make the plugins registering against the plugin manager
  * Migrate to 1->N relationship between voiplink and accounts
  * API plugin for registration
  * Use C++ thread in SIP, move everything in sipvoiplink
  * Complete singleton pattern for the plugin manager
  * Add -Wno-return-type compilation flag to remove warnings; Update
    version number in configure.ac
  * Add the dynamic loading for the plugin framework; integate unittest

  [ Yun Liu ]
  * Update rpm spec file
  * modify build package script and spec file for suse

  [ Alexandre Savard ]
  * Add audiorecorder plugin and testaudiorecorder
  * Add audio Recording class, edit global.h

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Wed, 04 Feb 2009 14:00:30 -0500

sflphone (0.9.2-2ubuntu7) SYSTEM; urgency=low

  [ Emmanuel Milou ]
  * Update changelog to 0.9.2-6
  * Fix some dbus-glib implementation details on the client side
  * Init history after dbus initialization
  * Add error checking in useragent; Clean sipvoiplink
  * Prevent crash when trying to call an empty number
  * Set the volume of the playback stream to PA_VOLUME_NORM at startup
  * Fix GTK+ generic value double initialization
  * Fix jaunty control file dependency problems
  * Fix jaunty control file dependency problems

  [ Yun Liu ]
  * Fix bug ticket # 137
  * Tolerant to gsm library of OpenSuse 11

  [ Sven Werlen ]
  * Update german translation

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Fri, 23 Jan 2009 17:48:13 -0500

sflphone (0.9.2-2ubuntu6) SYSTEM; urgency=low

  [ Emmanuel Milou ]
  * Migrate STUN configuration to the main config window
  * Update french translation
  * Other tiny memory leaks
  * Fix memory leak in sampleconverter.cpp
  * Generate packages from the release branch
  * update the build package script
  * modify the control files with architecture=any
  * Remove valgring uninitialized value
  * IAX and SIP use the same global variables to set account
    configuration ; fix broken code

  [ Maxime Chambreuil ]
  * Update spanish translation

  [ Hussein Abdallah ]
  * Update russian translation

  [ Yun Liu ]
  * Update translation files
  * Fix the bug when user uncheck the account which fails in the
    previous registration
  * Add stun error status
  * Fix bug ticket #143
  * Script for auto-install dependencies
  * Fix bug ticket #140
  * Fix bug ticket 141
  * Fix the reregister process when user change the details of an
    account

 -- Emmanuel Milou <manu@sulfur.inside.savoirfairelinux.net>  Fri, 16 Jan 2009 18:19:05 -0500

sflphone (0.9.2-2ubuntu5) SYSTEM; urgency=low

  * Fix memory leak in the pulseaudio callback
  * Update debian package generation script
  * Warnings removal in GTK+ client
  * Clean adjust volume method in alsalayer
  * Plug the sflphone playback volume control to the pulseaudio volume
    manager
  * Display the date in history according to the current locale
  * Generate the changelog according to the git commit messages
  * Complete header in chinese translation file
  * Use the right gpg key to sign the packages
  * add debian jaunty jackalope support

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Wed, 14 Jan 2009 21:17:20 -0500

sflphone (0.9.2-2ubuntu4) SYSTEM; urgency=low

  [ Emmanuel Milou ]
  * add german translation

  [ Yun Liu ]
  * Fix GUI crash in Ubuntu8.10 64bit system

 -- Yun Liu <yun.liu@savoirfairelinux.com>  Thu, 08 Jan 2009 13:08:51 -0500

sflphone (0.9.2-2ubuntu3) SYSTEM; urgency=low

  [ Emmanuel Milou ]
  * The main thread synchronizes the ringtone thread
  * disable custom ringtone for the ALSA layer
  * Fix the Makefile.am in man directory, add a SEE ALSO section

  [ Yun Liu ]
  * Fix daemon crash caused by the previous patch ( for bug ticket #129)

 -- Yun Liu <yun.liu@savoirfairelinux.com>  Tue, 06 Jan 2009 16:18:38 -0500

sflphone (0.9.2-2ubuntu2) SYSTEM; urgency=low

  * Fix bug ticket #129

 -- Yun Liu <yun.liu@savoirfairelinux.com>  Wed, 5 Jan 2009 15:54:53 -0500

sflphone (0.9.2-2ubuntu1) SYSTEM; urgency=low

  * Migrate from eXosip library to pjsip
  * Add multiple SIP accounts support
  * Fix ringtones problems
  * Add a pulseaudio support
  * Improve audio quality with ALSA
  * Add chinese translation
  * Improve spanish translation
  * Migrate to a maintained C++ DBus bindings
  * Clean and improve the build system
  * Add build-dependency on Perl because we need pod2man to generate manpages

 -- Yun Liu <yun.liu@savoirfairelinux.com>  Wed, 26 Nov 2008 09:47:53 -0500

sflphone (0.9.1) unstable; urgency=low
  * Add a search tool in the history
  * Migrate some gtk_entry_new to sexy_icon_entry_new
  * Bug fix (Ticket #78): The voicemail password isn't displayed anymore in
    the history tab
  * Add the SIP registration expire value in the user file.

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Thu, 22 May 2008 11:14:25 -0500

sflphone (0.9.0) unstable; urgency=low
  * Add history features
    * Call date
    * Call duration
    * Mouse events in the history tab
  * Smooth switch from the history tab to the calls tab
  * Remove most of GTK-Critical warnings

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Wed, 13 May 2008 16:58:25 -0500

sflphone (0.9-2008-06-06) unstable; urgency=low
  * Audio bug correction: capture stopped after a few minutes of conversation
  with USB Plantronics sound card

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Tue, 06 May 2008 16:58:25 -0500

sflphone (0.9-2008-05-06) unstable; urgency=low
  * Bug correction: account creation with the assistant
  * GTK+ warnings removal
  * libnotify warnings removal
  * Remove aliasing on the SFLphone logo

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Mon, 05 May 2008 16:58:25 -0500

sflphone (0.9) unstable; urgency=low
  * Clean dependencies ( removal of libboost )
  * Several GTK improvement and updates
    -account window
    -configuration window
  * Migrate from GtkCheckMenuItem to GtkImageMenuItem
  * ALSA standard I/O transfers: MMAP instead of R/W
  * Fix speex audio quality
  * IAX2 protocol
    -Fix hold/unhold situation
    -Add on hold music
  * SIP protocol
    -Ringtone on incoming call
    -Fix transfer situation
  * Add desktop notification ( libnotify )
  * Improve the system tray icon behaviour
  * Improve registration error handling
  * Register/unregister from the account window takes effect without starting back SFLphone
  * Compilation warnings removal
  * Call history
  * Add an account configuration wizard

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Wed, 30 Apr 2008 16:58:25 -0500

sflphone (0.8.2) unstable; urgency=low
  * Internationalization of the GTK GUI
  * English / French
  * STUN support
  * Slight modifications of the graphical interface ( tooltips, dialpad, ...)

 -- Emmanuel Milou <emmanuel.milou@savoirfairelinux.com>  Fri, 21 Mar 2008 11:37:53 -0500
